<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:import href="CommonDicomSRValidationRules.xsl"/>
<xsl:output method="text"/>
<xsl:template match="/DicomStructuredReport">
<xsl:choose>
<xsl:when test="/DicomStructuredReport/DicomStructuredReportHeader/SOPClassUID/value = '1.2.840.10008.5.1.4.1.1.88.11'">
<xsl:text>Found BasicTextSR IOD</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking IOD Content Item Constraints: BasicTextSRContentItemConstraints</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="BasicTextSRContentItemConstraints"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for presence of Root Template based on presence of Template Identification Sequence only: TID_2000</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:if test="/DicomStructuredReport/DicomStructuredReportContent/container/@template = '2000' and /DicomStructuredReport/DicomStructuredReportContent/container/@templatemappingresource = 'DCMR'">
<xsl:for-each select="/DicomStructuredReport/DicomStructuredReportContent">
<xsl:call-template name="TID_2000"/>
</xsl:for-each>
</xsl:if>
<xsl:apply-templates/>
</xsl:when>
<xsl:when test="/DicomStructuredReport/DicomStructuredReportHeader/SOPClassUID/value = '1.2.840.10008.5.1.4.1.1.88.22'">
<xsl:text>Found EnhancedSR IOD</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking IOD Content Item Constraints: EnhancedSRContentItemConstraints</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="EnhancedSRContentItemConstraints"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for presence of Root Template based on presence of Template Identification Sequence only: TID_2000</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:if test="/DicomStructuredReport/DicomStructuredReportContent/container/@template = '2000' and /DicomStructuredReport/DicomStructuredReportContent/container/@templatemappingresource = 'DCMR'">
<xsl:for-each select="/DicomStructuredReport/DicomStructuredReportContent">
<xsl:call-template name="TID_2000"/>
</xsl:for-each>
</xsl:if>
<xsl:apply-templates/>
</xsl:when>
<xsl:when test="/DicomStructuredReport/DicomStructuredReportHeader/SOPClassUID/value = '1.2.840.10008.5.1.4.1.1.88.33'">
<xsl:text>Found ComprehensiveSR IOD</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking IOD Content Item Constraints: ComprehensiveSRContentItemConstraints</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="ComprehensiveSRContentItemConstraints"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for presence of Root Template based on presence of Template Identification Sequence only: TID_2000</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:if test="/DicomStructuredReport/DicomStructuredReportContent/container/@template = '2000' and /DicomStructuredReport/DicomStructuredReportContent/container/@templatemappingresource = 'DCMR'">
<xsl:for-each select="/DicomStructuredReport/DicomStructuredReportContent">
<xsl:call-template name="TID_2000"/>
</xsl:for-each>
</xsl:if>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for presence of Root Template based on Document Title only: TID_RPH_0001</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:if test="/DicomStructuredReport/DicomStructuredReportContent/container/concept/@cv = 'RP-100001' and /DicomStructuredReport/DicomStructuredReportContent/container/concept/@csd = '99RPH'">
<xsl:for-each select="/DicomStructuredReport/DicomStructuredReportContent">
<xsl:call-template name="TID_RPH_0001"/>
</xsl:for-each>
</xsl:if>
<xsl:apply-templates/>
</xsl:when>
<xsl:when test="/DicomStructuredReport/DicomStructuredReportHeader/SOPClassUID/value = '1.2.840.10008.5.1.4.1.1.88.40'">
<xsl:text>Found ProcedureLog IOD</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking IOD Content Item Constraints: ProcedureLogContentItemConstraints</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="ProcedureLogContentItemConstraints"/>
<xsl:apply-templates/>
</xsl:when>
<xsl:when test="/DicomStructuredReport/DicomStructuredReportHeader/SOPClassUID/value = '1.2.840.10008.5.1.4.1.1.88.50'">
<xsl:text>Found MammographyCADSR IOD</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking IOD Content Item Constraints: MammographyCADSRContentItemConstraints</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="MammographyCADSRContentItemConstraints"/>
<xsl:apply-templates/>
</xsl:when>
<xsl:when test="/DicomStructuredReport/DicomStructuredReportHeader/SOPClassUID/value = '1.2.840.10008.5.1.4.1.1.88.59'">
<xsl:text>Found KeyObjectSelectionDocument IOD</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking IOD Content Item Constraints: KeyObjectSelectionDocumentContentItemConstraints</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="KeyObjectSelectionDocumentContentItemConstraints"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Required Root Template: TID_2010</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:for-each select="/DicomStructuredReport/DicomStructuredReportContent">
<xsl:call-template name="TID_2010"/>
</xsl:for-each>
<xsl:apply-templates/>
</xsl:when>
<xsl:when test="/DicomStructuredReport/DicomStructuredReportHeader/SOPClassUID/value = '1.2.840.10008.5.1.4.1.1.88.65'">
<xsl:text>Found ChestCADSR IOD</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking IOD Content Item Constraints: ChestCADSRContentItemConstraints</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="ChestCADSRContentItemConstraints"/>
<xsl:apply-templates/>
</xsl:when>
<xsl:when test="/DicomStructuredReport/DicomStructuredReportHeader/SOPClassUID/value = '1.2.840.10008.5.1.4.1.1.88.67'">
<xsl:text>Found XRayRadiationDoseSR IOD</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking IOD Content Item Constraints: XRayRadiationDoseSRContentItemConstraints</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="XRayRadiationDoseSRContentItemConstraints"/>
<xsl:apply-templates/>
</xsl:when>
<xsl:otherwise>
<xsl:text>IOD (SOP Class) unrecognized</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template match="/DicomStructuredReport/DicomStructuredReportHeader">
<xsl:apply-templates/>
</xsl:template>
<xsl:template match="text()"/>
<xsl:template name="BasicTextSRContentItemConstraints">
<xsl:for-each select="//container">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//image">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//waveform">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//composite">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//text">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//code">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//datetime">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//date">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//time">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//uidref">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//pname">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
</xsl:template>
<xsl:template name="EnhancedSRContentItemConstraints">
<xsl:for-each select="//container">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//image">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//waveform">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//composite">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//num">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//text">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//code">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//datetime">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//date">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//time">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//uidref">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//pname">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//scoord">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'SELECTED FROM' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'SELECTED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//tcoord">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'SELECTED FROM' and name(.) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'SELECTED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'SELECTED FROM' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'SELECTED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'SELECTED FROM' and name(.) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'SELECTED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
</xsl:template>
<xsl:template name="ComprehensiveSRContentItemConstraints">
<xsl:for-each select="//container">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//text">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//code">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//num">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//image">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//waveform">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//composite">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//datetime">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//date">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//time">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//uidref">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//pname">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//scoord">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'SELECTED FROM' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'SELECTED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//tcoord">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'SELECTED FROM' and name(.) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'SELECTED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'SELECTED FROM' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'SELECTED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'SELECTED FROM' and name(.) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'SELECTED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
</xsl:template>
<xsl:template name="ProcedureLogContentItemConstraints">
<xsl:for-each select="//container">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//code">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//composite">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//datetime">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//date">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//image">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//num">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//pname">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//text">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//time">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//uidref">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//waveform">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
</xsl:template>
<xsl:template name="MammographyCADSRContentItemConstraints">
<xsl:for-each select="//container">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//text">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//code">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//num">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//image">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//scoord">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'SELECTED FROM' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'SELECTED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
</xsl:template>
<xsl:template name="KeyObjectSelectionDocumentContentItemConstraints">
<xsl:for-each select="//container">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
</xsl:template>
<xsl:template name="ChestCADSRContentItemConstraints">
<xsl:for-each select="//container">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//text">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//code">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//num">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'tcoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//composite">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//image">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//waveform">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'date'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'time'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//scoord">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'SELECTED FROM' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'SELECTED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//tcoord">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'SELECTED FROM' and name(.) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'SELECTED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'scoord'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'SELECTED FROM' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'SELECTED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'SELECTED FROM' and name(.) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'SELECTED FROM' and 'T' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'waveform'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
</xsl:template>
<xsl:template name="XRayRadiationDoseSRContentItemConstraints">
<xsl:for-each select="//container">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and name(.) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'CONTAINS' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//text">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//code">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//num">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS OBS CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and name(.) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS PROPERTIES' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'image'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'composite'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and name(.) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'INFERRED FROM' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//image">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//composite">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'num'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'datetime'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'uidref'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'pname'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and name(.) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS ACQ CONTEXT' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'container'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//datetime">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//uidref">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
<xsl:for-each select="//pname">
<xsl:for-each select="*[@relationship]">
<xsl:choose>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'text'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and name(.) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:when test="@relationship = 'HAS CONCEPT MOD' and '' = 'T' and name(.) = 'reference' and name(key('idkey',@IDREF)) = 'code'">
<xsl:call-template name="checkPermittedChildContentItemByValueRelationship">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="describeIllegalChildContentItem">
<xsl:with-param name="parent" select=".."/>
<xsl:with-param name="child" select="."/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</xsl:for-each>
</xsl:template>
<xsl:template name="TID_RPH_0001">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_RPH_0001 (RadPharmClinicalTrialsResults)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:text>Found Root Template TID_RPH_0001 (RadPharmClinicalTrialsResults)</xsl:text>
<xsl:value-of select="$newline"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0001 RadPharmClinicalTrialsResults/[Row 1] CONTAINER (RP-100001,99RPH,"Clinical Trial Results")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0001 RadPharmClinicalTrialsResults/[Row 1] CONTAINER (RP-100001,99RPH,&quot;Clinical Trial Results&quot;)'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="''"/>
<xsl:with-param name="valueType" select="'container'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Clinical Trial Results'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100001'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'container' and concept/@cv = 'RP-100001' and concept/@csd = '99RPH']">
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_1204</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_1204">
<xsl:with-param name="templatevmmin" select="''"/>
<xsl:with-param name="templatevmmax" select="''"/>
<xsl:with-param name="templateRequiredType" select="''"/>
</xsl:call-template>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_RPH_0002a</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_RPH_0002a">
<xsl:with-param name="templatevmmin" select="''"/>
<xsl:with-param name="templatevmmax" select="''"/>
<xsl:with-param name="templateRequiredType" select="''"/>
</xsl:call-template>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_RPH_0002b</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_RPH_0002b">
<xsl:with-param name="templatevmmin" select="''"/>
<xsl:with-param name="templatevmmax" select="''"/>
<xsl:with-param name="templateRequiredType" select="''"/>
</xsl:call-template>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0001 RadPharmClinicalTrialsResults/[Row 1] CONTAINER (RP-100001,99RPH,"")/[Row 5] CONTAINER (111028,DCM,"Image Library")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(/DicomStructuredReport/DicomStructuredReportContent//image) &gt; 0">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0001 RadPharmClinicalTrialsResults/[Row 1] CONTAINER (RP-100001,99RPH,&quot;&quot;)/[Row 5] CONTAINER (111028,DCM,&quot;Image Library&quot;)'"/>
<xsl:with-param name="row" select="'5'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'container'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Image Library'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'111028'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0001 RadPharmClinicalTrialsResults/[Row 1] CONTAINER (RP-100001,99RPH,&quot;&quot;)/[Row 5] CONTAINER (111028,DCM,&quot;Image Library&quot;)'"/>
<xsl:with-param name="row" select="'5'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'container'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Image Library'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'111028'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[name() = 'container' and concept/@cv = '111028' and concept/@csd = 'DCM']">
				<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_RPH_0010</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_RPH_0010">
<xsl:with-param name="templatevmmin" select="''"/>
<xsl:with-param name="templatevmmax" select="''"/>
<xsl:with-param name="templateRequiredType" select="''"/>
</xsl:call-template>
			</xsl:for-each>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0001 RadPharmClinicalTrialsResults/[Row 1] CONTAINER (RP-100001,99RPH,"")/[Row 7] CONTAINER (RP-100702,99RPH,"General Lesion Observations")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(/DicomStructuredReport/DicomStructuredReportContent//container/concept[@cv = 'RP-100280' and @csd = '99RPH']) = 0">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0001 RadPharmClinicalTrialsResults/[Row 1] CONTAINER (RP-100001,99RPH,&quot;&quot;)/[Row 7] CONTAINER (RP-100702,99RPH,&quot;General Lesion Observations&quot;)'"/>
<xsl:with-param name="row" select="'7'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'container'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'General Lesion Observations'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100702'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0001 RadPharmClinicalTrialsResults/[Row 1] CONTAINER (RP-100001,99RPH,&quot;&quot;)/[Row 7] CONTAINER (RP-100702,99RPH,&quot;General Lesion Observations&quot;)'"/>
<xsl:with-param name="row" select="'7'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'container'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'General Lesion Observations'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100702'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[name() = 'container' and concept/@cv = 'RP-100702' and concept/@csd = '99RPH']">
				<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_RPH_0006b</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_RPH_0006b">
<xsl:with-param name="templatevmmin" select="''"/>
<xsl:with-param name="templatevmmax" select="''"/>
<xsl:with-param name="templateRequiredType" select="''"/>
</xsl:call-template>
			</xsl:for-each>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0001 RadPharmClinicalTrialsResults/[Row 1] CONTAINER (RP-100001,99RPH,"")/[Row 9] CONTAINER (RP-100023,99RPH,"Reading Sub-task")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0001 RadPharmClinicalTrialsResults/[Row 1] CONTAINER (RP-100001,99RPH,&quot;&quot;)/[Row 9] CONTAINER (RP-100023,99RPH,&quot;Reading Sub-task&quot;)'"/>
<xsl:with-param name="row" select="'9'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'container'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Reading Sub-task'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100023'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'container' and concept/@cv = 'RP-100023' and concept/@csd = '99RPH']">
				<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_RPH_0003</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_RPH_0003">
<xsl:with-param name="templatevmmin" select="''"/>
<xsl:with-param name="templatevmmax" select="''"/>
<xsl:with-param name="templateRequiredType" select="''"/>
</xsl:call-template>
			</xsl:for-each>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0001 RadPharmClinicalTrialsResults/[Row 1] CONTAINER (RP-100001,99RPH,"")/[Row 11] CONTAINER (RP-100024,99RPH,"Time Point")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0001 RadPharmClinicalTrialsResults/[Row 1] CONTAINER (RP-100001,99RPH,&quot;&quot;)/[Row 11] CONTAINER (RP-100024,99RPH,&quot;Time Point&quot;)'"/>
<xsl:with-param name="row" select="'11'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'container'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Time Point'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100024'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'container' and concept/@cv = 'RP-100024' and concept/@csd = '99RPH']">
				<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_RPH_0004</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_RPH_0004">
<xsl:with-param name="templatevmmin" select="''"/>
<xsl:with-param name="templatevmmax" select="''"/>
<xsl:with-param name="templateRequiredType" select="''"/>
</xsl:call-template>
				<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_RPH_0005</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_RPH_0005">
<xsl:with-param name="templatevmmin" select="''"/>
<xsl:with-param name="templatevmmax" select="''"/>
<xsl:with-param name="templateRequiredType" select="''"/>
</xsl:call-template>
				<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_RPH_0006</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_RPH_0006">
<xsl:with-param name="templatevmmin" select="''"/>
<xsl:with-param name="templatevmmax" select="''"/>
<xsl:with-param name="templateRequiredType" select="''"/>
</xsl:call-template>
			</xsl:for-each>
			
			
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0001 RadPharmClinicalTrialsResults/[Row 1] CONTAINER (RP-100001,99RPH,"")/[Row 16] CODE (RP-100074,99RPH,"Signature meaning")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="/DicomStructuredReport/DicomStructuredReportHeader/VerificationFlag/value[1] = 'VERIFIED'">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0001 RadPharmClinicalTrialsResults/[Row 1] CONTAINER (RP-100001,99RPH,&quot;&quot;)/[Row 16] CODE (RP-100074,99RPH,&quot;Signature meaning&quot;)'"/>
<xsl:with-param name="row" select="'16'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Signature meaning'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100074'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7015'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0001 RadPharmClinicalTrialsResults/[Row 1] CONTAINER (RP-100001,99RPH,&quot;&quot;)/[Row 16] CODE (RP-100074,99RPH,&quot;Signature meaning&quot;)'"/>
<xsl:with-param name="row" select="'16'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Signature meaning'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100074'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7015'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RP-100074' and concept/@csd = '99RPH']"/>			
		</xsl:for-each>	
	<xsl:text>Root Template Validation Complete</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:template>
<xsl:template name="TID_RPH_0002a">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_RPH_0002a (RadPharmPersonObserverIdentifyingAttributes)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0002a RadPharmPersonObserverIdentifyingAttributes/[Row 1] PNAME (121008,DCM,"Person Observer Name")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0002a RadPharmPersonObserverIdentifyingAttributes/[Row 1] PNAME (121008,DCM,&quot;Person Observer Name&quot;)'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'pname'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Person Observer Name'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121008'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'pname' and concept/@cv = '121008' and concept/@csd = 'DCM']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0002a RadPharmPersonObserverIdentifyingAttributes/[Row 2] TEXT (RP-100006,99RPH,"Person Observer#s Login Name")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0002a RadPharmPersonObserverIdentifyingAttributes/[Row 2] TEXT (RP-100006,99RPH,&quot;Person Observer#s Login Name&quot;)'"/>
<xsl:with-param name="row" select="'2'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Person Observer#s Login Name'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100006'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = 'RP-100006' and concept/@csd = '99RPH']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0002a RadPharmPersonObserverIdentifyingAttributes/[Row 3] TEXT (121009,DCM,"Person Observer#s Organization Name")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0002a RadPharmPersonObserverIdentifyingAttributes/[Row 3] TEXT (121009,DCM,&quot;Person Observer#s Organization Name&quot;)'"/>
<xsl:with-param name="row" select="'3'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Person Observer#s Organization Name'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121009'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = '121009' and concept/@csd = 'DCM']">
			<xsl:if test="value != /DicomStructuredReport/DicomStructuredReportHeader/InstitutionName/value">
<xsl:text>Error: Template RPH_0002a RadPharmPersonObserverIdentifyingAttributes/[Row 3] TEXT (121009,DCM,""): </xsl:text>
<xsl:call-template name="buildFullPathInInstanceToCurrentNode"/>
<xsl:text>: Person Observer's Organization Name does not match Institution Name</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
		</xsl:for-each>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0002a RadPharmPersonObserverIdentifyingAttributes/[Row 4] CODE (121011,DCM,"Person Observer#s Role in this Procedure")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0002a RadPharmPersonObserverIdentifyingAttributes/[Row 4] CODE (121011,DCM,&quot;Person Observer#s Role in this Procedure&quot;)'"/>
<xsl:with-param name="row" select="'4'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Person Observer#s Role in this Procedure'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121011'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7001'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = '121011' and concept/@csd = 'DCM']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0002a RadPharmPersonObserverIdentifyingAttributes/[Row 5] TEXT (RP-100007,99RPH,"Identifier within Person Observer#s Role")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0002a RadPharmPersonObserverIdentifyingAttributes/[Row 5] TEXT (RP-100007,99RPH,&quot;Identifier within Person Observer#s Role&quot;)'"/>
<xsl:with-param name="row" select="'5'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Identifier within Person Observer#s Role'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100007'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = 'RP-100007' and concept/@csd = '99RPH']"/>
	</xsl:template>
<xsl:template name="TID_RPH_0002b">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_RPH_0002b (RadPharmDeviceObserverIdentifyingAttributes)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0002b RadPharmDeviceObserverIdentifyingAttributes/[Row 1] TEXT (RP-100084,99RPH,"Application Name")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0002b RadPharmDeviceObserverIdentifyingAttributes/[Row 1] TEXT (RP-100084,99RPH,&quot;Application Name&quot;)'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Application Name'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100084'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = 'RP-100084' and concept/@csd = '99RPH']">
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0002b RadPharmDeviceObserverIdentifyingAttributes/[Row 1] TEXT (RP-100084,99RPH,"")/[Row 2] TEXT (RP-100083,99RPH,"Version")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0002b RadPharmDeviceObserverIdentifyingAttributes/[Row 1] TEXT (RP-100084,99RPH,&quot;&quot;)/[Row 2] TEXT (RP-100083,99RPH,&quot;Version&quot;)'"/>
<xsl:with-param name="row" select="'2'"/>
<xsl:with-param name="relationship" select="'HAS PROPERTIES'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Version'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100083'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = 'RP-100083' and concept/@csd = '99RPH']"/>
		</xsl:for-each>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0002b RadPharmDeviceObserverIdentifyingAttributes/[Row 3] TEXT (111001,DCM,"Algorithm Name")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0002b RadPharmDeviceObserverIdentifyingAttributes/[Row 3] TEXT (111001,DCM,&quot;Algorithm Name&quot;)'"/>
<xsl:with-param name="row" select="'3'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Algorithm Name'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'111001'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = '111001' and concept/@csd = 'DCM']">
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0002b RadPharmDeviceObserverIdentifyingAttributes/[Row 3] TEXT (111001,DCM,"")/[Row 4] TEXT (RP-100083,99RPH,"Version")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0002b RadPharmDeviceObserverIdentifyingAttributes/[Row 3] TEXT (111001,DCM,&quot;&quot;)/[Row 4] TEXT (RP-100083,99RPH,&quot;Version&quot;)'"/>
<xsl:with-param name="row" select="'4'"/>
<xsl:with-param name="relationship" select="'HAS PROPERTIES'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Version'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100083'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = 'RP-100083' and concept/@csd = '99RPH']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0002b RadPharmDeviceObserverIdentifyingAttributes/[Row 3] TEXT (111001,DCM,"")/[Row 5] CODE (RP-100085,99RPH,"Algorithm Type")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0002b RadPharmDeviceObserverIdentifyingAttributes/[Row 3] TEXT (111001,DCM,&quot;&quot;)/[Row 5] CODE (RP-100085,99RPH,&quot;Algorithm Type&quot;)'"/>
<xsl:with-param name="row" select="'5'"/>
<xsl:with-param name="relationship" select="'HAS PROPERTIES'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Algorithm Type'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100085'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7016'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RP-100085' and concept/@csd = '99RPH']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0002b RadPharmDeviceObserverIdentifyingAttributes/[Row 3] TEXT (111001,DCM,"")/[Row 6] TEXT (RP-100926,99RPH,"Algorithm UID")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0002b RadPharmDeviceObserverIdentifyingAttributes/[Row 3] TEXT (111001,DCM,&quot;&quot;)/[Row 6] TEXT (RP-100926,99RPH,&quot;Algorithm UID&quot;)'"/>
<xsl:with-param name="row" select="'6'"/>
<xsl:with-param name="relationship" select="'HAS PROPERTIES'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Algorithm UID'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100926'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = 'RP-100926' and concept/@csd = '99RPH']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0002b RadPharmDeviceObserverIdentifyingAttributes/[Row 3] TEXT (111001,DCM,"")/[Row 7] TEXT (111002,DCM,"Algorithm Parameters")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0002b RadPharmDeviceObserverIdentifyingAttributes/[Row 3] TEXT (111001,DCM,&quot;&quot;)/[Row 7] TEXT (111002,DCM,&quot;Algorithm Parameters&quot;)'"/>
<xsl:with-param name="row" select="'7'"/>
<xsl:with-param name="relationship" select="'HAS PROPERTIES'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Algorithm Parameters'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'111002'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = '111002' and concept/@csd = 'DCM']"/>
		</xsl:for-each>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0002b RadPharmDeviceObserverIdentifyingAttributes/[Row 8] TEXT (RP-100086,99RPH,"Business Rule Set Name")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0002b RadPharmDeviceObserverIdentifyingAttributes/[Row 8] TEXT (RP-100086,99RPH,&quot;Business Rule Set Name&quot;)'"/>
<xsl:with-param name="row" select="'8'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Business Rule Set Name'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100086'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = 'RP-100086' and concept/@csd = '99RPH']">                  
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0002b RadPharmDeviceObserverIdentifyingAttributes/[Row 8] TEXT (RP-100086,99RPH,"")/[Row 9] TEXT (RP-100083,99RPH,"Version")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0002b RadPharmDeviceObserverIdentifyingAttributes/[Row 8] TEXT (RP-100086,99RPH,&quot;&quot;)/[Row 9] TEXT (RP-100083,99RPH,&quot;Version&quot;)'"/>
<xsl:with-param name="row" select="'9'"/>
<xsl:with-param name="relationship" select="'HAS PROPERTIES'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Version'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100083'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = 'RP-100083' and concept/@csd = '99RPH']"/>
		</xsl:for-each>
	</xsl:template>
<xsl:template name="TID_RPH_0003">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_RPH_0003 (RadPharmReadingSessionAndTaskContext)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0003 RadPharmReadingSessionAndTaskContext/[Row 1] TEXT (RP-100008,99RPH,"Worklist Task Name")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0003 RadPharmReadingSessionAndTaskContext/[Row 1] TEXT (RP-100008,99RPH,&quot;Worklist Task Name&quot;)'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Worklist Task Name'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100008'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = 'RP-100008' and concept/@csd = '99RPH']">	
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0003 RadPharmReadingSessionAndTaskContext/[Row 1] TEXT (RP-100008,99RPH,"")/[Row 2] UIDREF (RP-100081,99RPH,"Worklist Task UID")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0003 RadPharmReadingSessionAndTaskContext/[Row 1] TEXT (RP-100008,99RPH,&quot;&quot;)/[Row 2] UIDREF (RP-100081,99RPH,&quot;Worklist Task UID&quot;)'"/>
<xsl:with-param name="row" select="'2'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'uidref'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Worklist Task UID'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100081'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'uidref' and concept/@cv = 'RP-100081' and concept/@csd = '99RPH']"/>	
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0003 RadPharmReadingSessionAndTaskContext/[Row 1] TEXT (RP-100008,99RPH,"")/[Row 3] TEXT (RP-100010,99RPH,"Worklist Task Version")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0003 RadPharmReadingSessionAndTaskContext/[Row 1] TEXT (RP-100008,99RPH,&quot;&quot;)/[Row 3] TEXT (RP-100010,99RPH,&quot;Worklist Task Version&quot;)'"/>
<xsl:with-param name="row" select="'3'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Worklist Task Version'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100010'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = 'RP-100010' and concept/@csd = '99RPH']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0003 RadPharmReadingSessionAndTaskContext/[Row 1] TEXT (RP-100008,99RPH,"")/[Row 4] TEXT (RP-100011,99RPH,"Worklist Task Description")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0003 RadPharmReadingSessionAndTaskContext/[Row 1] TEXT (RP-100008,99RPH,&quot;&quot;)/[Row 4] TEXT (RP-100011,99RPH,&quot;Worklist Task Description&quot;)'"/>
<xsl:with-param name="row" select="'4'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Worklist Task Description'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100011'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = 'RP-100011' and concept/@csd = '99RPH']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0003 RadPharmReadingSessionAndTaskContext/[Row 1] TEXT (RP-100008,99RPH,"")/[Row 5] CODE (RP-100212,99RPH,"Worklist Task Level")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0003 RadPharmReadingSessionAndTaskContext/[Row 1] TEXT (RP-100008,99RPH,&quot;&quot;)/[Row 5] CODE (RP-100212,99RPH,&quot;Worklist Task Level&quot;)'"/>
<xsl:with-param name="row" select="'5'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Worklist Task Level'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100212'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7003b'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RP-100212' and concept/@csd = '99RPH']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0003 RadPharmReadingSessionAndTaskContext/[Row 1] TEXT (RP-100008,99RPH,"")/[Row 6] CODE (RP-100210,99RPH,"Worklist Task Type")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0003 RadPharmReadingSessionAndTaskContext/[Row 1] TEXT (RP-100008,99RPH,&quot;&quot;)/[Row 6] CODE (RP-100210,99RPH,&quot;Worklist Task Type&quot;)'"/>
<xsl:with-param name="row" select="'6'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Worklist Task Type'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100210'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7002'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RP-100210' and concept/@csd = '99RPH']"/> 
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0003 RadPharmReadingSessionAndTaskContext/[Row 1] TEXT (RP-100008,99RPH,"")/[Row 7] CODE (RP-100211,99RPH,"Worklist Task Category")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0003 RadPharmReadingSessionAndTaskContext/[Row 1] TEXT (RP-100008,99RPH,&quot;&quot;)/[Row 7] CODE (RP-100211,99RPH,&quot;Worklist Task Category&quot;)'"/>
<xsl:with-param name="row" select="'7'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Worklist Task Category'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100211'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7003'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RP-100211' and concept/@csd = '99RPH']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0003 RadPharmReadingSessionAndTaskContext/[Row 1] TEXT (RP-100008,99RPH,"")/[Row 8] CODE (RP-100232,99RPH,"Worklist Task Repeat Type")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0003 RadPharmReadingSessionAndTaskContext/[Row 1] TEXT (RP-100008,99RPH,&quot;&quot;)/[Row 8] CODE (RP-100232,99RPH,&quot;Worklist Task Repeat Type&quot;)'"/>
<xsl:with-param name="row" select="'8'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Worklist Task Repeat Type'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100232'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7003c'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RP-100232' and concept/@csd = '99RPH']"/>	
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0003 RadPharmReadingSessionAndTaskContext/[Row 1] TEXT (RP-100008,99RPH,"")/[Row 9] CODE (RP-100233,99RPH,"Worklist Task Variability Type")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0003 RadPharmReadingSessionAndTaskContext/[Row 1] TEXT (RP-100008,99RPH,&quot;&quot;)/[Row 9] CODE (RP-100233,99RPH,&quot;Worklist Task Variability Type&quot;)'"/>
<xsl:with-param name="row" select="'9'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Worklist Task Variability Type'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100233'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7003d'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RP-100233' and concept/@csd = '99RPH']"/>	
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0003 RadPharmReadingSessionAndTaskContext/[Row 1] TEXT (RP-100008,99RPH,"")/[Row 10] TEXT (RP-100009,99RPH,"Worklist Sub-task Name")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0003 RadPharmReadingSessionAndTaskContext/[Row 1] TEXT (RP-100008,99RPH,&quot;&quot;)/[Row 10] TEXT (RP-100009,99RPH,&quot;Worklist Sub-task Name&quot;)'"/>
<xsl:with-param name="row" select="'10'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Worklist Sub-task Name'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100009'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = 'RP-100009' and concept/@csd = '99RPH']">
				<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0003 RadPharmReadingSessionAndTaskContext/[Row 1] TEXT (RP-100008,99RPH,"")/[Row 10] TEXT (RP-100009,99RPH,"")/[Row 11] UIDREF (RP-100082,99RPH,"Worklist Sub-task UID")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0003 RadPharmReadingSessionAndTaskContext/[Row 1] TEXT (RP-100008,99RPH,&quot;&quot;)/[Row 10] TEXT (RP-100009,99RPH,&quot;&quot;)/[Row 11] UIDREF (RP-100082,99RPH,&quot;Worklist Sub-task UID&quot;)'"/>
<xsl:with-param name="row" select="'11'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'uidref'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Worklist Sub-task UID'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100082'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'3'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'uidref' and concept/@cv = 'RP-100082' and concept/@csd = '99RPH']"/>
				<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0003 RadPharmReadingSessionAndTaskContext/[Row 1] TEXT (RP-100008,99RPH,"")/[Row 10] TEXT (RP-100009,99RPH,"")/[Row 12] DATETIME (RP-100924,99RPH,"Worklist Sub-task Start DateTime")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0003 RadPharmReadingSessionAndTaskContext/[Row 1] TEXT (RP-100008,99RPH,&quot;&quot;)/[Row 10] TEXT (RP-100009,99RPH,&quot;&quot;)/[Row 12] DATETIME (RP-100924,99RPH,&quot;Worklist Sub-task Start DateTime&quot;)'"/>
<xsl:with-param name="row" select="'12'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'datetime'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Worklist Sub-task Start DateTime'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100924'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'3'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'datetime' and concept/@cv = 'RP-100924' and concept/@csd = '99RPH']"/>
				<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0003 RadPharmReadingSessionAndTaskContext/[Row 1] TEXT (RP-100008,99RPH,"")/[Row 10] TEXT (RP-100009,99RPH,"")/[Row 13] DATETIME (RP-100925,99RPH,"Worklist Sub-task Closed DateTime")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0003 RadPharmReadingSessionAndTaskContext/[Row 1] TEXT (RP-100008,99RPH,&quot;&quot;)/[Row 10] TEXT (RP-100009,99RPH,&quot;&quot;)/[Row 13] DATETIME (RP-100925,99RPH,&quot;Worklist Sub-task Closed DateTime&quot;)'"/>
<xsl:with-param name="row" select="'13'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'datetime'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Worklist Sub-task Closed DateTime'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100925'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'3'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'datetime' and concept/@cv = 'RP-100925' and concept/@csd = '99RPH']"/>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:template>
<xsl:template name="TID_RPH_0004">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_RPH_0004 (RadPharmTimePointContext)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0004 RadPharmTimePointContext/[Row 1] TEXT (RP-100018,99RPH,"Subject Time Point Unique Identifier")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0004 RadPharmTimePointContext/[Row 1] TEXT (RP-100018,99RPH,&quot;Subject Time Point Unique Identifier&quot;)'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Subject Time Point Unique Identifier'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100018'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = 'RP-100018' and concept/@csd = '99RPH']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0004 RadPharmTimePointContext/[Row 2] TEXT (RP-100017,99RPH,"Protocol Time Point Unique Identifier")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0004 RadPharmTimePointContext/[Row 2] TEXT (RP-100017,99RPH,&quot;Protocol Time Point Unique Identifier&quot;)'"/>
<xsl:with-param name="row" select="'2'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Protocol Time Point Unique Identifier'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100017'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = 'RP-100017' and concept/@csd = '99RPH']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0004 RadPharmTimePointContext/[Row 3] TEXT (RP-100019,99RPH,"Time Point Name")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0004 RadPharmTimePointContext/[Row 3] TEXT (RP-100019,99RPH,&quot;Time Point Name&quot;)'"/>
<xsl:with-param name="row" select="'3'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Time Point Name'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100019'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = 'RP-100019' and concept/@csd = '99RPH']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0004 RadPharmTimePointContext/[Row 4] TEXT (RP-100550,99RPH,"Time Point Sponsor Name")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0004 RadPharmTimePointContext/[Row 4] TEXT (RP-100550,99RPH,&quot;Time Point Sponsor Name&quot;)'"/>
<xsl:with-param name="row" select="'4'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Time Point Sponsor Name'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100550'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = 'RP-100550' and concept/@csd = '99RPH']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0004 RadPharmTimePointContext/[Row 4a] TEXT (RP-100551,99RPH,"Time Point Type")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0004 RadPharmTimePointContext/[Row 4a] TEXT (RP-100551,99RPH,&quot;Time Point Type&quot;)'"/>
<xsl:with-param name="row" select="'4a'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Time Point Type'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100551'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = 'RP-100551' and concept/@csd = '99RPH']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0004 RadPharmTimePointContext/[Row 4b] NUM (RP-100552,99RPH,"Days from enrollment")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0004 RadPharmTimePointContext/[Row 4b] NUM (RP-100552,99RPH,&quot;Days from enrollment&quot;)'"/>
<xsl:with-param name="row" select="'4b'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'num'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Days from enrollment'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100552'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="'Days'"/>
<xsl:with-param name="csdUnits" select="'UCUM'"/>
<xsl:with-param name="cvUnits" select="'d'"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'num' and concept/@cv = 'RP-100552' and concept/@csd = '99RPH']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0004 RadPharmTimePointContext/[Row 4c] NUM (RP-100553,99RPH,"Time Point Order")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0004 RadPharmTimePointContext/[Row 4c] NUM (RP-100553,99RPH,&quot;Time Point Order&quot;)'"/>
<xsl:with-param name="row" select="'4c'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'num'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Time Point Order'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100553'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="'order'"/>
<xsl:with-param name="csdUnits" select="'UCUM'"/>
<xsl:with-param name="cvUnits" select="'{order}'"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'num' and concept/@cv = 'RP-100553' and concept/@csd = '99RPH']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0004 RadPharmTimePointContext/[Row 5] CODE (RP-100021,99RPH,"Time Point Unscheduled")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0004 RadPharmTimePointContext/[Row 5] CODE (RP-100021,99RPH,&quot;Time Point Unscheduled&quot;)'"/>
<xsl:with-param name="row" select="'5'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Time Point Unscheduled'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100021'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7230'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RP-100021' and concept/@csd = '99RPH']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0004 RadPharmTimePointContext/[Row 6] CODE (RP-100022,99RPH,"Time Point Baseline")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0004 RadPharmTimePointContext/[Row 6] CODE (RP-100022,99RPH,&quot;Time Point Baseline&quot;)'"/>
<xsl:with-param name="row" select="'6'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Time Point Baseline'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100022'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7230'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RP-100022' and concept/@csd = '99RPH']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0004 RadPharmTimePointContext/[Row 7] CODE (RP-100090,99RPH,"Completed")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0004 RadPharmTimePointContext/[Row 7] CODE (RP-100090,99RPH,&quot;Completed&quot;)'"/>
<xsl:with-param name="row" select="'7'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Completed'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100090'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7230'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RP-100090' and concept/@csd = '99RPH']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0004 RadPharmTimePointContext/[Row 8] TEXT (121065,DCM,"Procedure Description")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0004 RadPharmTimePointContext/[Row 8] TEXT (121065,DCM,&quot;Procedure Description&quot;)'"/>
<xsl:with-param name="row" select="'8'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Procedure Description'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121065'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = '121065' and concept/@csd = 'DCM']">                  
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0004 RadPharmTimePointContext/[Row 8] TEXT (121065,DCM,"")/[Row 9] UIDREF (110180,DCM,"Study Instance UID")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0004 RadPharmTimePointContext/[Row 8] TEXT (121065,DCM,&quot;&quot;)/[Row 9] UIDREF (110180,DCM,&quot;Study Instance UID&quot;)'"/>
<xsl:with-param name="row" select="'9'"/>
<xsl:with-param name="relationship" select="'HAS PROPERTIES'"/>
<xsl:with-param name="valueType" select="'uidref'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Study Instance UID'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'110180'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'uidref' and concept/@cv = '110180' and concept/@csd = 'DCM']"/>	
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0004 RadPharmTimePointContext/[Row 8] TEXT (121065,DCM,"")/[Row 10] CODE (121139,DCM,"Modality")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0004 RadPharmTimePointContext/[Row 8] TEXT (121065,DCM,&quot;&quot;)/[Row 10] CODE (121139,DCM,&quot;Modality&quot;)'"/>
<xsl:with-param name="row" select="'10'"/>
<xsl:with-param name="relationship" select="'HAS PROPERTIES'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Modality'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121139'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="'29'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = '121139' and concept/@csd = 'DCM']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0004 RadPharmTimePointContext/[Row 8] TEXT (121065,DCM,"")/[Row 10a] CODE (121058,DCM,"Procedure reported")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0004 RadPharmTimePointContext/[Row 8] TEXT (121065,DCM,&quot;&quot;)/[Row 10a] CODE (121058,DCM,&quot;Procedure reported&quot;)'"/>
<xsl:with-param name="row" select="'10a'"/>
<xsl:with-param name="relationship" select="'HAS PROPERTIES'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Procedure reported'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121058'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = '121058' and concept/@csd = 'DCM']"/>                    
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0004 RadPharmTimePointContext/[Row 8] TEXT (121065,DCM,"")/[Row 11] DATE (111060,DCM,"Study Date")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0004 RadPharmTimePointContext/[Row 8] TEXT (121065,DCM,&quot;&quot;)/[Row 11] DATE (111060,DCM,&quot;Study Date&quot;)'"/>
<xsl:with-param name="row" select="'11'"/>
<xsl:with-param name="relationship" select="'HAS PROPERTIES'"/>
<xsl:with-param name="valueType" select="'date'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Study Date'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'111060'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'date' and concept/@cv = '111060' and concept/@csd = 'DCM']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0004 RadPharmTimePointContext/[Row 8] TEXT (121065,DCM,"")/[Row 12] TIME (111061,DCM,"Study Time")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0004 RadPharmTimePointContext/[Row 8] TEXT (121065,DCM,&quot;&quot;)/[Row 12] TIME (111061,DCM,&quot;Study Time&quot;)'"/>
<xsl:with-param name="row" select="'12'"/>
<xsl:with-param name="relationship" select="'HAS PROPERTIES'"/>
<xsl:with-param name="valueType" select="'time'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Study Time'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'111061'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'time' and concept/@cv = '111061' and concept/@csd = 'DCM']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0004 RadPharmTimePointContext/[Row 8] TEXT (121065,DCM,"")/[Row 13] CODE (RID12236,RADLEX,"Anatomic Region Covered")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0004 RadPharmTimePointContext/[Row 8] TEXT (121065,DCM,&quot;&quot;)/[Row 13] CODE (RID12236,RADLEX,&quot;Anatomic Region Covered&quot;)'"/>
<xsl:with-param name="row" select="'13'"/>
<xsl:with-param name="relationship" select="'HAS PROPERTIES'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Anatomic Region Covered'"/>
<xsl:with-param name="csdConceptName" select="'RADLEX'"/>
<xsl:with-param name="cvConceptName" select="'RID12236'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7007'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RID12236' and concept/@csd = 'RADLEX']">	
				<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0004 RadPharmTimePointContext/[Row 8] TEXT (121065,DCM,"")/[Row 13] CODE (RID12236,RADLEX,"")/[Row 13b] CODE (G-C171,SRT,"Laterality")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0004 RadPharmTimePointContext/[Row 8] TEXT (121065,DCM,&quot;&quot;)/[Row 13] CODE (RID12236,RADLEX,&quot;&quot;)/[Row 13b] CODE (G-C171,SRT,&quot;Laterality&quot;)'"/>
<xsl:with-param name="row" select="'13b'"/>
<xsl:with-param name="relationship" select="'HAS CONCEPT MOD'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Laterality'"/>
<xsl:with-param name="csdConceptName" select="'SRT'"/>
<xsl:with-param name="cvConceptName" select="'G-C171'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="'244'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'3'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'G-C171' and concept/@csd = 'SRT']"/>
			</xsl:for-each>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0004 RadPharmTimePointContext/[Row 8] TEXT (121065,DCM,"")/[Row 14] UIDREF (RP-100904,99RPH,"Exam Identifier")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0004 RadPharmTimePointContext/[Row 8] TEXT (121065,DCM,&quot;&quot;)/[Row 14] UIDREF (RP-100904,99RPH,&quot;Exam Identifier&quot;)'"/>
<xsl:with-param name="row" select="'14'"/>
<xsl:with-param name="relationship" select="'HAS PROPERTIES'"/>
<xsl:with-param name="valueType" select="'uidref'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Exam Identifier'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100904'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'uidref' and concept/@cv = 'RP-100904' and concept/@csd = '99RPH']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0004 RadPharmTimePointContext/[Row 8] TEXT (121065,DCM,"")/[Row 15] NUM (RID12405,RADLEX,"Reconstruction Interval")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0004 RadPharmTimePointContext/[Row 8] TEXT (121065,DCM,&quot;&quot;)/[Row 15] NUM (RID12405,RADLEX,&quot;Reconstruction Interval&quot;)'"/>
<xsl:with-param name="row" select="'15'"/>
<xsl:with-param name="relationship" select="'HAS PROPERTIES'"/>
<xsl:with-param name="valueType" select="'num'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Reconstruction Interval'"/>
<xsl:with-param name="csdConceptName" select="'RADLEX'"/>
<xsl:with-param name="cvConceptName" select="'RID12405'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="'millimeter'"/>
<xsl:with-param name="csdUnits" select="'UCUM'"/>
<xsl:with-param name="cvUnits" select="'mm'"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'num' and concept/@cv = 'RID12405' and concept/@csd = 'RADLEX']"/>   	
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0004 RadPharmTimePointContext/[Row 8] TEXT (121065,DCM,"")/[Row 16] NUM (15074-8,LN,"Blood Glucose")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0004 RadPharmTimePointContext/[Row 8] TEXT (121065,DCM,&quot;&quot;)/[Row 16] NUM (15074-8,LN,&quot;Blood Glucose&quot;)'"/>
<xsl:with-param name="row" select="'16'"/>
<xsl:with-param name="relationship" select="'HAS PROPERTIES'"/>
<xsl:with-param name="valueType" select="'num'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Blood Glucose'"/>
<xsl:with-param name="csdConceptName" select="'LN'"/>
<xsl:with-param name="cvConceptName" select="'15074-8'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="'mmol/l'"/>
<xsl:with-param name="csdUnits" select="'UCUM'"/>
<xsl:with-param name="cvUnits" select="'mmol/l'"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'num' and concept/@cv = '15074-8' and concept/@csd = 'LN']"/>	      
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0004 RadPharmTimePointContext/[Row 8] TEXT (121065,DCM,"")/[Row 17] NUM (RP-100900,99RPH,"PET Radionuclide Incubation Time")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0004 RadPharmTimePointContext/[Row 8] TEXT (121065,DCM,&quot;&quot;)/[Row 17] NUM (RP-100900,99RPH,&quot;PET Radionuclide Incubation Time&quot;)'"/>
<xsl:with-param name="row" select="'17'"/>
<xsl:with-param name="relationship" select="'HAS PROPERTIES'"/>
<xsl:with-param name="valueType" select="'num'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'PET Radionuclide Incubation Time'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100900'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="'min'"/>
<xsl:with-param name="csdUnits" select="'UCUM'"/>
<xsl:with-param name="cvUnits" select="'min'"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'num' and concept/@cv = 'RP-100900' and concept/@csd = '99RPH']"/>          
		</xsl:for-each>
	</xsl:template>
<xsl:template name="TID_RPH_0005">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_RPH_0005 (RadPharmTimePointObservations)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0005 RadPharmTimePointObservations/[Row 1] CONTAINER (RP-100073,99RPH,"Time Point Observation")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0005 RadPharmTimePointObservations/[Row 1] CONTAINER (RP-100073,99RPH,&quot;Time Point Observation&quot;)'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'container'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Time Point Observation'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100073'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'container' and concept/@cv = 'RP-100073' and concept/@csd = '99RPH']">
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0005 RadPharmTimePointObservations/[Row 1] CONTAINER (RP-100073,99RPH,"")/[Row 2] UIDREF (RP-100401,99RPH,"Observation UID")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0005 RadPharmTimePointObservations/[Row 1] CONTAINER (RP-100073,99RPH,&quot;&quot;)/[Row 2] UIDREF (RP-100401,99RPH,&quot;Observation UID&quot;)'"/>
<xsl:with-param name="row" select="'2'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'uidref'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Observation UID'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100401'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'uidref' and concept/@cv = 'RP-100401' and concept/@csd = '99RPH']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0005 RadPharmTimePointObservations/[Row 1] CONTAINER (RP-100073,99RPH,"")/[Row 2b] CODE (RP-100402,99RPH,"Observation Type")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0005 RadPharmTimePointObservations/[Row 1] CONTAINER (RP-100073,99RPH,&quot;&quot;)/[Row 2b] CODE (RP-100402,99RPH,&quot;Observation Type&quot;)'"/>
<xsl:with-param name="row" select="'2b'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Observation Type'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100402'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7701'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RP-100402' and concept/@csd = '99RPH']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0005 RadPharmTimePointObservations/[Row 1] CONTAINER (RP-100073,99RPH,"")/[Row 3] TEXT (121106,DCM,"Comment")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0005 RadPharmTimePointObservations/[Row 1] CONTAINER (RP-100073,99RPH,&quot;&quot;)/[Row 3] TEXT (121106,DCM,&quot;Comment&quot;)'"/>
<xsl:with-param name="row" select="'3'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Comment'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121106'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = '121106' and concept/@csd = 'DCM']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_RPH_0020</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_RPH_0020">
<xsl:with-param name="templatevmmin" select="''"/>
<xsl:with-param name="templatevmmax" select="''"/>
<xsl:with-param name="templateRequiredType" select="''"/>
</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
<xsl:template name="TID_RPH_0006">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_RPH_0006 (RadPharmTimePointLesionObservations)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0006 RadPharmTimePointLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,"Lesion")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0006 RadPharmTimePointLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,&quot;Lesion&quot;)'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'container'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Lesion'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100025'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'container' and concept/@cv = 'RP-100025' and concept/@csd = '99RPH']">
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0006 RadPharmTimePointLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,"")/[Row 2] UIDREF (112040,DCM,"Tracking Unique Identifier")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0006 RadPharmTimePointLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,&quot;&quot;)/[Row 2] UIDREF (112040,DCM,&quot;Tracking Unique Identifier&quot;)'"/>
<xsl:with-param name="row" select="'2'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'uidref'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Tracking Unique Identifier'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'112040'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'uidref' and concept/@cv = '112040' and concept/@csd = 'DCM']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0006 RadPharmTimePointLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,"")/[Row 3] CODE (RP-100320,99RPH,"Calibration")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0006 RadPharmTimePointLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,&quot;&quot;)/[Row 3] CODE (RP-100320,99RPH,&quot;Calibration&quot;)'"/>
<xsl:with-param name="row" select="'3'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Calibration'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100320'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7230'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RP-100320' and concept/@csd = '99RPH']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0006 RadPharmTimePointLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,"")/[Row 4] UIDREF (RP-100028,99RPH,"Predecessor Lesion Tracking Unique Identifier")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0006 RadPharmTimePointLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,&quot;&quot;)/[Row 4] UIDREF (RP-100028,99RPH,&quot;Predecessor Lesion Tracking Unique Identifier&quot;)'"/>
<xsl:with-param name="row" select="'4'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'uidref'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Predecessor Lesion Tracking Unique Identifier'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100028'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'uidref' and concept/@cv = 'RP-100028' and concept/@csd = '99RPH']"/>                
			<xsl:if test="count(uidref[concept/@cv = 'RP-100028' and concept/@csd = '99RPH']) &gt; 0              and count(code[concept/@cv = 'RP-100320' and concept/@csd = '99RPH' and value/@cv = 'R-0038D' and value/@csd = 'SRT']) &gt; 0">
<xsl:text>Error: Template RPH_0006 RadPharmTimePointLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,""): </xsl:text>
<xsl:call-template name="buildFullPathInInstanceToCurrentNode"/>
<xsl:text>: Predecessor Lesion Tracking Unique Identifier not permitted when Calibration == Yes</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0006 RadPharmTimePointLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,"")/[Row 5] TEXT (121106,DCM,"Comment")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0006 RadPharmTimePointLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,&quot;&quot;)/[Row 5] TEXT (121106,DCM,&quot;Comment&quot;)'"/>
<xsl:with-param name="row" select="'5'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Comment'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121106'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = '121106' and concept/@csd = 'DCM']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_RPH_0007</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_RPH_0007">
<xsl:with-param name="templatevmmin" select="''"/>
<xsl:with-param name="templatevmmax" select="''"/>
<xsl:with-param name="templateRequiredType" select="''"/>
</xsl:call-template> 
			
			
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0006 RadPharmTimePointLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,"")/[Row 9] CODE (RID11510,RADLEX,"Therapeutic Response")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0006 RadPharmTimePointLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,&quot;&quot;)/[Row 9] CODE (RID11510,RADLEX,&quot;Therapeutic Response&quot;)'"/>
<xsl:with-param name="row" select="'9'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Therapeutic Response'"/>
<xsl:with-param name="csdConceptName" select="'RADLEX'"/>
<xsl:with-param name="cvConceptName" select="'RID11510'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7010'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RID11510' and concept/@csd = 'RADLEX']"/>  
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0006 RadPharmTimePointLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,"")/[Row 9b] CODE (RP-100901,99RPH,"Qualitative Assessment")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0006 RadPharmTimePointLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,&quot;&quot;)/[Row 9b] CODE (RP-100901,99RPH,&quot;Qualitative Assessment&quot;)'"/>
<xsl:with-param name="row" select="'9b'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Qualitative Assessment'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100901'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7010c'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RP-100901' and concept/@csd = '99RPH']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0006 RadPharmTimePointLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,"")/[Row 11] CODE (RP-100042,99RPH,"Unable to evaluate lesion")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(code[concept/@cv = 'RP-100320' and concept/@csd = '99RPH' and value/@cv = 'R-00339' and value/@csd = 'SRT']) &gt; 0">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0006 RadPharmTimePointLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,&quot;&quot;)/[Row 11] CODE (RP-100042,99RPH,&quot;Unable to evaluate lesion&quot;)'"/>
<xsl:with-param name="row" select="'11'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Unable to evaluate lesion'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100042'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7230'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0006 RadPharmTimePointLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,&quot;&quot;)/[Row 11] CODE (RP-100042,99RPH,&quot;Unable to evaluate lesion&quot;)'"/>
<xsl:with-param name="row" select="'11'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Unable to evaluate lesion'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100042'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7230'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RP-100042' and concept/@csd = '99RPH']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0006 RadPharmTimePointLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,"")/[Row 12] CODE (RP-100043,99RPH,"Reason unable to evaluate")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(code[concept/@cv = 'RP-100042' and concept/@csd = '99RPH' and value/@cv = 'R-0038D' and value/@csd = 'SRT']) &gt; 0">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0006 RadPharmTimePointLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,&quot;&quot;)/[Row 12] CODE (RP-100043,99RPH,&quot;Reason unable to evaluate&quot;)'"/>
<xsl:with-param name="row" select="'12'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Reason unable to evaluate'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100043'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7011'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0006 RadPharmTimePointLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,&quot;&quot;)/[Row 12] CODE (RP-100043,99RPH,&quot;Reason unable to evaluate&quot;)'"/>
<xsl:with-param name="row" select="'12'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Reason unable to evaluate'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100043'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7011'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RP-100043' and concept/@csd = '99RPH']"/>	
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0006 RadPharmTimePointLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,"")/[Row 13] CODE (RP-100053,99RPH,"Unable to measure lesion")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0006 RadPharmTimePointLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,&quot;&quot;)/[Row 13] CODE (RP-100053,99RPH,&quot;Unable to measure lesion&quot;)'"/>
<xsl:with-param name="row" select="'13'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Unable to measure lesion'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100053'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7230'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RP-100053' and concept/@csd = '99RPH']"/>  
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0006 RadPharmTimePointLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,"")/[Row 14] CODE (RP-100054,99RPH,"Reason unable to measure")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(code[concept/@cv = 'RP-100053' and concept/@csd = '99RPH' and value/@cv = 'R-0038D' and value/@csd = 'SRT']) &gt; 0                     and count(code[concept/@cv = 'RP-100285' and concept/@csd = '99RPH' and value/@cv = 'R-0038D' and value/@csd = 'SRT']) = 0">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0006 RadPharmTimePointLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,&quot;&quot;)/[Row 14] CODE (RP-100054,99RPH,&quot;Reason unable to measure&quot;)'"/>
<xsl:with-param name="row" select="'14'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Reason unable to measure'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100054'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7012'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0006 RadPharmTimePointLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,&quot;&quot;)/[Row 14] CODE (RP-100054,99RPH,&quot;Reason unable to measure&quot;)'"/>
<xsl:with-param name="row" select="'14'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Reason unable to measure'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100054'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7012'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RP-100054' and concept/@csd = '99RPH']"/>	
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0006 RadPharmTimePointLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,"")/[Row 14b] CODE (RP-100285,99RPH,"Unequivocal Progression")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0006 RadPharmTimePointLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,&quot;&quot;)/[Row 14b] CODE (RP-100285,99RPH,&quot;Unequivocal Progression&quot;)'"/>
<xsl:with-param name="row" select="'14b'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Unequivocal Progression'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100285'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'UC'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7230'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RP-100285' and concept/@csd = '99RPH']"/>  
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_RPH_0020</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_RPH_0020">
<xsl:with-param name="templatevmmin" select="''"/>
<xsl:with-param name="templatevmmax" select="''"/>
<xsl:with-param name="templateRequiredType" select="''"/>
</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
<xsl:template name="TID_RPH_0006b">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_RPH_0006b (RadPharmGeneralLesionObservations)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0006b RadPharmGeneralLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,"Lesion")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0006b RadPharmGeneralLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,&quot;Lesion&quot;)'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'container'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Lesion'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100025'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'container' and concept/@cv = 'RP-100025' and concept/@csd = '99RPH']">
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0006b RadPharmGeneralLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,"")/[Row 2] UIDREF (112040,DCM,"Tracking Unique Identifier")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0006b RadPharmGeneralLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,&quot;&quot;)/[Row 2] UIDREF (112040,DCM,&quot;Tracking Unique Identifier&quot;)'"/>
<xsl:with-param name="row" select="'2'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'uidref'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Tracking Unique Identifier'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'112040'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'uidref' and concept/@cv = '112040' and concept/@csd = 'DCM']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0006b RadPharmGeneralLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,"")/[Row 3] TEXT (112039,DCM,"Tracking Identifier")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0006b RadPharmGeneralLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,&quot;&quot;)/[Row 3] TEXT (112039,DCM,&quot;Tracking Identifier&quot;)'"/>
<xsl:with-param name="row" select="'3'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Tracking Identifier'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'112039'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = '112039' and concept/@csd = 'DCM']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0006b RadPharmGeneralLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,"")/[Row 4] CODE (RP-100026,99RPH,"Lesion Type")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0006b RadPharmGeneralLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,&quot;&quot;)/[Row 4] CODE (RP-100026,99RPH,&quot;Lesion Type&quot;)'"/>
<xsl:with-param name="row" select="'4'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Lesion Type'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100026'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7004'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RP-100026' and concept/@csd = '99RPH']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0006b RadPharmGeneralLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,"")/[Row 6] CODE (G-C0E3,SRT,"Finding Site")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0006b RadPharmGeneralLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,&quot;&quot;)/[Row 6] CODE (G-C0E3,SRT,&quot;Finding Site&quot;)'"/>
<xsl:with-param name="row" select="'6'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Finding Site'"/>
<xsl:with-param name="csdConceptName" select="'SRT'"/>
<xsl:with-param name="cvConceptName" select="'G-C0E3'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7006'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'G-C0E3' and concept/@csd = 'SRT']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0006b RadPharmGeneralLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,"")/[Row 6b] CODE (G-C171,SRT,"Laterality")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0006b RadPharmGeneralLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,&quot;&quot;)/[Row 6b] CODE (G-C171,SRT,&quot;Laterality&quot;)'"/>
<xsl:with-param name="row" select="'6b'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Laterality'"/>
<xsl:with-param name="csdConceptName" select="'SRT'"/>
<xsl:with-param name="cvConceptName" select="'G-C171'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="'244'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'G-C171' and concept/@csd = 'SRT']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0006b RadPharmGeneralLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,"")/[Row 6c] CODE (G-C2CE,SRT,"Multiplicity")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0006b RadPharmGeneralLesionObservations/[Row 1] CONTAINER (RP-100025,99RPH,&quot;&quot;)/[Row 6c] CODE (G-C2CE,SRT,&quot;Multiplicity&quot;)'"/>
<xsl:with-param name="row" select="'6c'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Multiplicity'"/>
<xsl:with-param name="csdConceptName" select="'SRT'"/>
<xsl:with-param name="cvConceptName" select="'G-C2CE'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7702'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'G-C2CE' and concept/@csd = 'SRT']"/>  
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_RPH_0020</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_RPH_0020">
<xsl:with-param name="templatevmmin" select="''"/>
<xsl:with-param name="templatevmmax" select="''"/>
<xsl:with-param name="templateRequiredType" select="''"/>
</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
<xsl:template name="TID_RPH_0007">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_RPH_0007 (RadPharmMeasurementObjects)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>

		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007 RadPharmMeasurementObjects/[Row 1] CONTAINER (RP-100502,99RPH,"Measurement Object")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007 RadPharmMeasurementObjects/[Row 1] CONTAINER (RP-100502,99RPH,&quot;Measurement Object&quot;)'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'container'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Measurement Object'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100502'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'container' and concept/@cv = 'RP-100502' and concept/@csd = '99RPH']">         
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007 RadPharmMeasurementObjects/[Row 1] CONTAINER (RP-100502,99RPH,"")/[Row 1a] UIDREF (RP-100403,99RPH,"Measurement Object UID")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007 RadPharmMeasurementObjects/[Row 1] CONTAINER (RP-100502,99RPH,&quot;&quot;)/[Row 1a] UIDREF (RP-100403,99RPH,&quot;Measurement Object UID&quot;)'"/>
<xsl:with-param name="row" select="'1a'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'uidref'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Measurement Object UID'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100403'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'uidref' and concept/@cv = 'RP-100403' and concept/@csd = '99RPH']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007 RadPharmMeasurementObjects/[Row 1] CONTAINER (RP-100502,99RPH,"")/[Row 1b] COMPOSITE (RP-100700,99RPH,"Registration Used")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007 RadPharmMeasurementObjects/[Row 1] CONTAINER (RP-100502,99RPH,&quot;&quot;)/[Row 1b] COMPOSITE (RP-100700,99RPH,&quot;Registration Used&quot;)'"/>
<xsl:with-param name="row" select="'1b'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'composite'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Registration Used'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100700'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'composite' and concept/@cv = 'RP-100700' and concept/@csd = '99RPH']">         
				<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007 RadPharmMeasurementObjects/[Row 1] CONTAINER (RP-100502,99RPH,"")/[Row 1b] COMPOSITE (RP-100700,99RPH,"")/[Row 1c] TEXT (RP-100926,99RPH,"Algorithm UID")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007 RadPharmMeasurementObjects/[Row 1] CONTAINER (RP-100502,99RPH,&quot;&quot;)/[Row 1b] COMPOSITE (RP-100700,99RPH,&quot;&quot;)/[Row 1c] TEXT (RP-100926,99RPH,&quot;Algorithm UID&quot;)'"/>
<xsl:with-param name="row" select="'1c'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Algorithm UID'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100926'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'3'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = 'RP-100926' and concept/@csd = '99RPH']"/>            
			</xsl:for-each>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007 RadPharmMeasurementObjects/[Row 1] CONTAINER (RP-100502,99RPH,"")/[Row 2b] CODE (121139,DCM,"Modality")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(code[concept/@cv = 'RP-100503' and concept/@csd = '99RPH' and value/@cv = 'RP-100111' and value/@csd = '99RPH']) = 0">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007 RadPharmMeasurementObjects/[Row 1] CONTAINER (RP-100502,99RPH,&quot;&quot;)/[Row 2b] CODE (121139,DCM,&quot;Modality&quot;)'"/>
<xsl:with-param name="row" select="'2b'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Modality'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121139'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="'29'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007 RadPharmMeasurementObjects/[Row 1] CONTAINER (RP-100502,99RPH,&quot;&quot;)/[Row 2b] CODE (121139,DCM,&quot;Modality&quot;)'"/>
<xsl:with-param name="row" select="'2b'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Modality'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121139'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="'29'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = '121139' and concept/@csd = 'DCM']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007 RadPharmMeasurementObjects/[Row 1] CONTAINER (RP-100502,99RPH,"")/[Row 2c] DATE (RP-100600,99RPH,"Acquisition Date")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007 RadPharmMeasurementObjects/[Row 1] CONTAINER (RP-100502,99RPH,&quot;&quot;)/[Row 2c] DATE (RP-100600,99RPH,&quot;Acquisition Date&quot;)'"/>
<xsl:with-param name="row" select="'2c'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'date'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Acquisition Date'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100600'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'date' and concept/@cv = 'RP-100600' and concept/@csd = '99RPH']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007 RadPharmMeasurementObjects/[Row 1] CONTAINER (RP-100502,99RPH,"")/[Row 3] CODE (RP-100503,99RPH,"Measurement Object Type")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007 RadPharmMeasurementObjects/[Row 1] CONTAINER (RP-100502,99RPH,&quot;&quot;)/[Row 3] CODE (RP-100503,99RPH,&quot;Measurement Object Type&quot;)'"/>
<xsl:with-param name="row" select="'3'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Measurement Object Type'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100503'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7601'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RP-100503' and concept/@csd = '99RPH']"/>
			
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_RPH_0007a</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_RPH_0007a">
<xsl:with-param name="templatevmmin" select="''"/>
<xsl:with-param name="templatevmmax" select="''"/>
<xsl:with-param name="templateRequiredType" select="''"/>
</xsl:call-template>  
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_RPH_0007b</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_RPH_0007b">
<xsl:with-param name="templatevmmin" select="''"/>
<xsl:with-param name="templatevmmax" select="''"/>
<xsl:with-param name="templateRequiredType" select="''"/>
</xsl:call-template>  
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_RPH_0007c</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_RPH_0007c">
<xsl:with-param name="templatevmmin" select="''"/>
<xsl:with-param name="templatevmmax" select="''"/>
<xsl:with-param name="templateRequiredType" select="''"/>
</xsl:call-template>  
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_RPH_0007d</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_RPH_0007d">
<xsl:with-param name="templatevmmin" select="''"/>
<xsl:with-param name="templatevmmax" select="''"/>
<xsl:with-param name="templateRequiredType" select="''"/>
</xsl:call-template>  
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007 RadPharmMeasurementObjects/[Row 1] CONTAINER (RP-100502,99RPH,"")/[Row 8] CODE (RP-100150,99RPH,"Discarded")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007 RadPharmMeasurementObjects/[Row 1] CONTAINER (RP-100502,99RPH,&quot;&quot;)/[Row 8] CODE (RP-100150,99RPH,&quot;Discarded&quot;)'"/>
<xsl:with-param name="row" select="'8'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Discarded'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100150'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7230'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RP-100150' and concept/@csd = '99RPH']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007 RadPharmMeasurementObjects/[Row 1] CONTAINER (RP-100502,99RPH,"")/[Row 9] DATETIME (RP-100920,99RPH,"Observation Creation DateTime")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007 RadPharmMeasurementObjects/[Row 1] CONTAINER (RP-100502,99RPH,&quot;&quot;)/[Row 9] DATETIME (RP-100920,99RPH,&quot;Observation Creation DateTime&quot;)'"/>
<xsl:with-param name="row" select="'9'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'datetime'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Observation Creation DateTime'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100920'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'datetime' and concept/@cv = 'RP-100920' and concept/@csd = '99RPH']"/>		
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007 RadPharmMeasurementObjects/[Row 1] CONTAINER (RP-100502,99RPH,"")/[Row 10] DATETIME (RP-100921,99RPH,"Observation Modification DateTime")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007 RadPharmMeasurementObjects/[Row 1] CONTAINER (RP-100502,99RPH,&quot;&quot;)/[Row 10] DATETIME (RP-100921,99RPH,&quot;Observation Modification DateTime&quot;)'"/>
<xsl:with-param name="row" select="'10'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'datetime'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Observation Modification DateTime'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100921'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'datetime' and concept/@cv = 'RP-100921' and concept/@csd = '99RPH']"/>    
		</xsl:for-each>
	</xsl:template>
<xsl:template name="TID_RPH_0007a">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_RPH_0007a (RadPharmSimpleMeasurements)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007a RadPharmSimpleMeasurements/[Row 1] CONTAINER (RP-101002,99RPH,"Simple Measurement")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(code[concept/@cv = 'RP-100503' and concept/@csd = '99RPH' and value/@cv = 'RP-100103' and value/@csd = '99RPH']) &gt; 0                    or count(code[concept/@cv = 'RP-100503' and concept/@csd = '99RPH' and value/@cv = 'RP-100104' and value/@csd = '99RPH']) &gt; 0              or count(code[concept/@cv = 'RP-100503' and concept/@csd = '99RPH' and value/@cv = 'RP-100105' and value/@csd = '99RPH']) &gt; 0">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007a RadPharmSimpleMeasurements/[Row 1] CONTAINER (RP-101002,99RPH,&quot;Simple Measurement&quot;)'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'container'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Simple Measurement'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-101002'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007a RadPharmSimpleMeasurements/[Row 1] CONTAINER (RP-101002,99RPH,&quot;Simple Measurement&quot;)'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'container'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Simple Measurement'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-101002'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[name() = 'container' and concept/@cv = 'RP-101002' and concept/@csd = '99RPH']">    

			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007a RadPharmSimpleMeasurements/[Row 1] CONTAINER (RP-101002,99RPH,"")/[Row 2] NUM CID RPH_7017</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(../code[concept/@cv = 'RP-100503' and concept/@csd = '99RPH' and value/@cv = 'RP-100103' and value/@csd = '99RPH']) &gt; 0">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007a RadPharmSimpleMeasurements/[Row 1] CONTAINER (RP-101002,99RPH,&quot;&quot;)/[Row 2] NUM CID RPH_7017'"/>
<xsl:with-param name="row" select="'2'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'num'"/>
<xsl:with-param name="conceptNameCID" select="'RPH_7017'"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="'T'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="'millimeter'"/>
<xsl:with-param name="csdUnits" select="'UCUM'"/>
<xsl:with-param name="cvUnits" select="'mm'"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007a RadPharmSimpleMeasurements/[Row 1] CONTAINER (RP-101002,99RPH,&quot;&quot;)/[Row 2] NUM CID RPH_7017'"/>
<xsl:with-param name="row" select="'2'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'num'"/>
<xsl:with-param name="conceptNameCID" select="'RPH_7017'"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="'T'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="'millimeter'"/>
<xsl:with-param name="csdUnits" select="'UCUM'"/>
<xsl:with-param name="cvUnits" select="'mm'"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[(name() = 'num' and concept/@cv = 'G-A22A' and concept/@csd = 'SRT') or (name() = 'num' and concept/@cv = '121206' and concept/@csd = 'DCM') or (name() = 'num' and concept/@cv = 'G-A220' and concept/@csd = 'SRT') or (name() = 'num' and concept/@cv = 'G-D785' and concept/@csd = 'SRT') or (name() = 'num' and concept/@cv = 'M-02550' and concept/@csd = 'SRT') or (name() = 'num' and concept/@cv = 'G-A185' and concept/@csd = 'SRT') or (name() = 'num' and concept/@cv = 'G-A186' and concept/@csd = 'SRT') or (name() = 'num' and concept/@cv = 'G-A193' and concept/@csd = 'SRT') or (name() = 'num' and concept/@cv = 'G-A194' and concept/@csd = 'SRT') or (name() = 'num' and concept/@cv = 'G-A195' and concept/@csd = 'SRT') or (name() = 'num' and concept/@cv = 'G-A196' and concept/@csd = 'SRT') or (name() = 'num' and concept/@cv = '121207' and concept/@csd = 'DCM')]">
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007a RadPharmSimpleMeasurements/[Row 1] CONTAINER (RP-101002,99RPH,"")/[Row 2] NUM CID RPH_7017/[Row 3] SCOORD (121112,DCM,"Source of Measurement")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007a RadPharmSimpleMeasurements/[Row 1] CONTAINER (RP-101002,99RPH,&quot;&quot;)/[Row 2] NUM CID RPH_7017/[Row 3] SCOORD (121112,DCM,&quot;Source of Measurement&quot;)'"/>
<xsl:with-param name="row" select="'3'"/>
<xsl:with-param name="relationship" select="'INFERRED FROM'"/>
<xsl:with-param name="valueType" select="'scoord'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Source of Measurement'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121112'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="'POLYLINE'"/>
<xsl:with-param name="numpointsmin" select="'2'"/>
<xsl:with-param name="numpointsmax" select="'2'"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'3'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'scoord' and concept/@cv = '121112' and concept/@csd = 'DCM']">
					<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007a RadPharmSimpleMeasurements/[Row 1] CONTAINER (RP-101002,99RPH,"")/[Row 2] NUM CID RPH_7017/[Row 3] SCOORD (121112,DCM,"")/[Row 4] IMAGE *</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007a RadPharmSimpleMeasurements/[Row 1] CONTAINER (RP-101002,99RPH,&quot;&quot;)/[Row 2] NUM CID RPH_7017/[Row 3] SCOORD (121112,DCM,&quot;&quot;)/[Row 4] IMAGE *'"/>
<xsl:with-param name="row" select="'4'"/>
<xsl:with-param name="relationship" select="'SELECTED FROM'"/>
<xsl:with-param name="valueType" select="'image'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'4'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'image']"/>
				</xsl:for-each>
</xsl:for-each>

			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007a RadPharmSimpleMeasurements/[Row 1] CONTAINER (RP-101002,99RPH,"")/[Row 5] NUM (G-A185,SRT,"Long Axis")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(../code[concept/@cv = 'RP-100503' and concept/@csd = '99RPH' and value/@cv = 'RP-100104' and value/@csd = '99RPH']) &gt; 0">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007a RadPharmSimpleMeasurements/[Row 1] CONTAINER (RP-101002,99RPH,&quot;&quot;)/[Row 5] NUM (G-A185,SRT,&quot;Long Axis&quot;)'"/>
<xsl:with-param name="row" select="'5'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'num'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Long Axis'"/>
<xsl:with-param name="csdConceptName" select="'SRT'"/>
<xsl:with-param name="cvConceptName" select="'G-A185'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="'T'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="'millimeter'"/>
<xsl:with-param name="csdUnits" select="'UCUM'"/>
<xsl:with-param name="cvUnits" select="'mm'"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007a RadPharmSimpleMeasurements/[Row 1] CONTAINER (RP-101002,99RPH,&quot;&quot;)/[Row 5] NUM (G-A185,SRT,&quot;Long Axis&quot;)'"/>
<xsl:with-param name="row" select="'5'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'num'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Long Axis'"/>
<xsl:with-param name="csdConceptName" select="'SRT'"/>
<xsl:with-param name="cvConceptName" select="'G-A185'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="'T'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="'millimeter'"/>
<xsl:with-param name="csdUnits" select="'UCUM'"/>
<xsl:with-param name="cvUnits" select="'mm'"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[name() = 'num' and concept/@cv = 'G-A185' and concept/@csd = 'SRT']">    
				<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007a RadPharmSimpleMeasurements/[Row 1] CONTAINER (RP-101002,99RPH,"")/[Row 5] NUM (G-A185,SRT,"")/[Row 6] SCOORD (121112,DCM,"Source of Measurement")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007a RadPharmSimpleMeasurements/[Row 1] CONTAINER (RP-101002,99RPH,&quot;&quot;)/[Row 5] NUM (G-A185,SRT,&quot;&quot;)/[Row 6] SCOORD (121112,DCM,&quot;Source of Measurement&quot;)'"/>
<xsl:with-param name="row" select="'6'"/>
<xsl:with-param name="relationship" select="'INFERRED FROM'"/>
<xsl:with-param name="valueType" select="'scoord'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Source of Measurement'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121112'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="'POLYLINE'"/>
<xsl:with-param name="numpointsmin" select="'2'"/>
<xsl:with-param name="numpointsmax" select="'2'"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'3'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'scoord' and concept/@cv = '121112' and concept/@csd = 'DCM']">
					<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007a RadPharmSimpleMeasurements/[Row 1] CONTAINER (RP-101002,99RPH,"")/[Row 5] NUM (G-A185,SRT,"")/[Row 6] SCOORD (121112,DCM,"")/[Row 7] IMAGE *</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007a RadPharmSimpleMeasurements/[Row 1] CONTAINER (RP-101002,99RPH,&quot;&quot;)/[Row 5] NUM (G-A185,SRT,&quot;&quot;)/[Row 6] SCOORD (121112,DCM,&quot;&quot;)/[Row 7] IMAGE *'"/>
<xsl:with-param name="row" select="'7'"/>
<xsl:with-param name="relationship" select="'SELECTED FROM'"/>
<xsl:with-param name="valueType" select="'image'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'4'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'image']"/>		
				</xsl:for-each>
			</xsl:for-each>
			
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007a RadPharmSimpleMeasurements/[Row 1] CONTAINER (RP-101002,99RPH,"")/[Row 8] NUM (G-A186,SRT,"Short Axis")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(../code[concept/@cv = 'RP-100503' and concept/@csd = '99RPH' and value/@cv = 'RP-100104' and value/@csd = '99RPH']) &gt; 0">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007a RadPharmSimpleMeasurements/[Row 1] CONTAINER (RP-101002,99RPH,&quot;&quot;)/[Row 8] NUM (G-A186,SRT,&quot;Short Axis&quot;)'"/>
<xsl:with-param name="row" select="'8'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'num'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Short Axis'"/>
<xsl:with-param name="csdConceptName" select="'SRT'"/>
<xsl:with-param name="cvConceptName" select="'G-A186'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="'T'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="'millimeter'"/>
<xsl:with-param name="csdUnits" select="'UCUM'"/>
<xsl:with-param name="cvUnits" select="'mm'"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007a RadPharmSimpleMeasurements/[Row 1] CONTAINER (RP-101002,99RPH,&quot;&quot;)/[Row 8] NUM (G-A186,SRT,&quot;Short Axis&quot;)'"/>
<xsl:with-param name="row" select="'8'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'num'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Short Axis'"/>
<xsl:with-param name="csdConceptName" select="'SRT'"/>
<xsl:with-param name="cvConceptName" select="'G-A186'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="'T'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="'millimeter'"/>
<xsl:with-param name="csdUnits" select="'UCUM'"/>
<xsl:with-param name="cvUnits" select="'mm'"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[name() = 'num' and concept/@cv = 'G-A186' and concept/@csd = 'SRT']">    
				<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007a RadPharmSimpleMeasurements/[Row 1] CONTAINER (RP-101002,99RPH,"")/[Row 8] NUM (G-A186,SRT,"")/[Row 9] SCOORD (121112,DCM,"Source of Measurement")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007a RadPharmSimpleMeasurements/[Row 1] CONTAINER (RP-101002,99RPH,&quot;&quot;)/[Row 8] NUM (G-A186,SRT,&quot;&quot;)/[Row 9] SCOORD (121112,DCM,&quot;Source of Measurement&quot;)'"/>
<xsl:with-param name="row" select="'9'"/>
<xsl:with-param name="relationship" select="'INFERRED FROM'"/>
<xsl:with-param name="valueType" select="'scoord'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Source of Measurement'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121112'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="'POLYLINE'"/>
<xsl:with-param name="numpointsmin" select="'2'"/>
<xsl:with-param name="numpointsmax" select="'2'"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'3'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'scoord' and concept/@cv = '121112' and concept/@csd = 'DCM']">
					<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007a RadPharmSimpleMeasurements/[Row 1] CONTAINER (RP-101002,99RPH,"")/[Row 8] NUM (G-A186,SRT,"")/[Row 9] SCOORD (121112,DCM,"")/[Row 10] IMAGE *</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007a RadPharmSimpleMeasurements/[Row 1] CONTAINER (RP-101002,99RPH,&quot;&quot;)/[Row 8] NUM (G-A186,SRT,&quot;&quot;)/[Row 9] SCOORD (121112,DCM,&quot;&quot;)/[Row 10] IMAGE *'"/>
<xsl:with-param name="row" select="'10'"/>
<xsl:with-param name="relationship" select="'SELECTED FROM'"/>
<xsl:with-param name="valueType" select="'image'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'4'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'image']"/>		
				</xsl:for-each>
			</xsl:for-each>

			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007a RadPharmSimpleMeasurements/[Row 1] CONTAINER (RP-101002,99RPH,"")/[Row 11] NUM (RP-100105,99RPH,"Angle")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(../code[concept/@cv = 'RP-100503' and concept/@csd = '99RPH' and value/@cv = 'RP-100105' and value/@csd = '99RPH']) &gt; 0">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007a RadPharmSimpleMeasurements/[Row 1] CONTAINER (RP-101002,99RPH,&quot;&quot;)/[Row 11] NUM (RP-100105,99RPH,&quot;Angle&quot;)'"/>
<xsl:with-param name="row" select="'11'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'num'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Angle'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100105'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="'degrees'"/>
<xsl:with-param name="csdUnits" select="'UCUM'"/>
<xsl:with-param name="cvUnits" select="'deg'"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007a RadPharmSimpleMeasurements/[Row 1] CONTAINER (RP-101002,99RPH,&quot;&quot;)/[Row 11] NUM (RP-100105,99RPH,&quot;Angle&quot;)'"/>
<xsl:with-param name="row" select="'11'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'num'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Angle'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100105'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="'degrees'"/>
<xsl:with-param name="csdUnits" select="'UCUM'"/>
<xsl:with-param name="cvUnits" select="'deg'"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[name() = 'num' and concept/@cv = 'RP-100105' and concept/@csd = '99RPH']">
				<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007a RadPharmSimpleMeasurements/[Row 1] CONTAINER (RP-101002,99RPH,"")/[Row 11] NUM (RP-100105,99RPH,"")/[Row 12] SCOORD (RP-100120,99RPH,"Angle Line Segment")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007a RadPharmSimpleMeasurements/[Row 1] CONTAINER (RP-101002,99RPH,&quot;&quot;)/[Row 11] NUM (RP-100105,99RPH,&quot;&quot;)/[Row 12] SCOORD (RP-100120,99RPH,&quot;Angle Line Segment&quot;)'"/>
<xsl:with-param name="row" select="'12'"/>
<xsl:with-param name="relationship" select="'INFERRED FROM'"/>
<xsl:with-param name="valueType" select="'scoord'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Angle Line Segment'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100120'"/>
<xsl:with-param name="vmmin" select="'2'"/>
<xsl:with-param name="vmmax" select="'2'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="'MULTIPOINT'"/>
<xsl:with-param name="numpointsmin" select="'2'"/>
<xsl:with-param name="numpointsmax" select="'2'"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'3'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'scoord' and concept/@cv = 'RP-100120' and concept/@csd = '99RPH']">
					<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007a RadPharmSimpleMeasurements/[Row 1] CONTAINER (RP-101002,99RPH,"")/[Row 11] NUM (RP-100105,99RPH,"")/[Row 12] SCOORD (RP-100120,99RPH,"")/[Row 13] IMAGE *</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007a RadPharmSimpleMeasurements/[Row 1] CONTAINER (RP-101002,99RPH,&quot;&quot;)/[Row 11] NUM (RP-100105,99RPH,&quot;&quot;)/[Row 12] SCOORD (RP-100120,99RPH,&quot;&quot;)/[Row 13] IMAGE *'"/>
<xsl:with-param name="row" select="'13'"/>
<xsl:with-param name="relationship" select="'SELECTED FROM'"/>
<xsl:with-param name="valueType" select="'image'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'4'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'image']"/>		
				</xsl:for-each>
			</xsl:for-each>

			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007a RadPharmSimpleMeasurements/[Row 1] CONTAINER (RP-101002,99RPH,"")/[Row 14] CODE (RP-101012,99RPH,"Automation")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007a RadPharmSimpleMeasurements/[Row 1] CONTAINER (RP-101002,99RPH,&quot;&quot;)/[Row 14] CODE (RP-101012,99RPH,&quot;Automation&quot;)'"/>
<xsl:with-param name="row" select="'14'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Automation'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-101012'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7041'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RP-101012' and concept/@csd = '99RPH']"/>
		</xsl:for-each>
	</xsl:template>
<xsl:template name="TID_RPH_0007b">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_RPH_0007b (RadPharmSubRegionsAndMeasurements)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007b RadPharmSubRegionsAndMeasurements/[Row 1a] CONTAINER (RP-101003,99RPH,"Image Region")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(code[concept/@cv = 'RP-100503' and concept/@csd = '99RPH' and value/@cv = '111041' and value/@csd = 'DCM']) &gt; 0              or count(code[concept/@cv = 'RP-100503' and concept/@csd = '99RPH' and value/@cv = 'G-D705' and value/@csd = 'SRT']) &gt; 0">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007b RadPharmSubRegionsAndMeasurements/[Row 1a] CONTAINER (RP-101003,99RPH,&quot;Image Region&quot;)'"/>
<xsl:with-param name="row" select="'1a'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'container'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Image Region'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-101003'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007b RadPharmSubRegionsAndMeasurements/[Row 1a] CONTAINER (RP-101003,99RPH,&quot;Image Region&quot;)'"/>
<xsl:with-param name="row" select="'1a'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'container'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Image Region'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-101003'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[name() = 'container' and concept/@cv = 'RP-101003' and concept/@csd = '99RPH']">    
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007b RadPharmSubRegionsAndMeasurements/[Row 1a] CONTAINER (RP-101003,99RPH,"")/[Row 1b] CONTAINER (RP-100102,99RPH,"Image Sub-region")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007b RadPharmSubRegionsAndMeasurements/[Row 1a] CONTAINER (RP-101003,99RPH,&quot;&quot;)/[Row 1b] CONTAINER (RP-100102,99RPH,&quot;Image Sub-region&quot;)'"/>
<xsl:with-param name="row" select="'1b'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'container'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Image Sub-region'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100102'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'container' and concept/@cv = 'RP-100102' and concept/@csd = '99RPH']">		
				<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007b RadPharmSubRegionsAndMeasurements/[Row 1a] CONTAINER (RP-101003,99RPH,"")/[Row 1b] CONTAINER (RP-100102,99RPH,"")/[Row 2] CODE (RP-100034,99RPH,"Include Flag")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007b RadPharmSubRegionsAndMeasurements/[Row 1a] CONTAINER (RP-101003,99RPH,&quot;&quot;)/[Row 1b] CONTAINER (RP-100102,99RPH,&quot;&quot;)/[Row 2] CODE (RP-100034,99RPH,&quot;Include Flag&quot;)'"/>
<xsl:with-param name="row" select="'2'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Include Flag'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100034'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7230'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'3'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RP-100034' and concept/@csd = '99RPH']"/>
				<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007b RadPharmSubRegionsAndMeasurements/[Row 1a] CONTAINER (RP-101003,99RPH,"")/[Row 1b] CONTAINER (RP-100102,99RPH,"")/[Row 3] CODE (122554,DCM,"Segmentation Method")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007b RadPharmSubRegionsAndMeasurements/[Row 1a] CONTAINER (RP-101003,99RPH,&quot;&quot;)/[Row 1b] CONTAINER (RP-100102,99RPH,&quot;&quot;)/[Row 3] CODE (122554,DCM,&quot;Segmentation Method&quot;)'"/>
<xsl:with-param name="row" select="'3'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Segmentation Method'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'122554'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7040'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'3'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = '122554' and concept/@csd = 'DCM']">
					<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007b RadPharmSubRegionsAndMeasurements/[Row 1a] CONTAINER (RP-101003,99RPH,"")/[Row 1b] CONTAINER (RP-100102,99RPH,"")/[Row 3] CODE (122554,DCM,"")/[Row 3a] TEXT (RP-100926,99RPH,"Algorithm UID")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(code[concept/@cv = '122554' and concept/@csd = 'DCM' and value/@cv = 'G-D221' and value/@csd = 'SRT']) &gt; 0">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007b RadPharmSubRegionsAndMeasurements/[Row 1a] CONTAINER (RP-101003,99RPH,&quot;&quot;)/[Row 1b] CONTAINER (RP-100102,99RPH,&quot;&quot;)/[Row 3] CODE (122554,DCM,&quot;&quot;)/[Row 3a] TEXT (RP-100926,99RPH,&quot;Algorithm UID&quot;)'"/>
<xsl:with-param name="row" select="'3a'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Algorithm UID'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100926'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'4'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007b RadPharmSubRegionsAndMeasurements/[Row 1a] CONTAINER (RP-101003,99RPH,&quot;&quot;)/[Row 1b] CONTAINER (RP-100102,99RPH,&quot;&quot;)/[Row 3] CODE (122554,DCM,&quot;&quot;)/[Row 3a] TEXT (RP-100926,99RPH,&quot;Algorithm UID&quot;)'"/>
<xsl:with-param name="row" select="'3a'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Algorithm UID'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100926'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'4'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = 'RP-100926' and concept/@csd = '99RPH']"/>
				</xsl:for-each>
				<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007b RadPharmSubRegionsAndMeasurements/[Row 1a] CONTAINER (RP-101003,99RPH,"")/[Row 1b] CONTAINER (RP-100102,99RPH,"")/[Row 4] SCOORD (111041,DCM,"Outline")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(../../code[concept/@cv = 'RP-100503' and concept/@csd = '99RPH' and value/@cv = '111041' and value/@csd = 'DCM']) &gt; 0">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007b RadPharmSubRegionsAndMeasurements/[Row 1a] CONTAINER (RP-101003,99RPH,&quot;&quot;)/[Row 1b] CONTAINER (RP-100102,99RPH,&quot;&quot;)/[Row 4] SCOORD (111041,DCM,&quot;Outline&quot;)'"/>
<xsl:with-param name="row" select="'4'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'scoord'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Outline'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'111041'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="'ELLIPSE_OR_POLYLINE'"/>
<xsl:with-param name="numpointsmin" select="'4'"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'3'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007b RadPharmSubRegionsAndMeasurements/[Row 1a] CONTAINER (RP-101003,99RPH,&quot;&quot;)/[Row 1b] CONTAINER (RP-100102,99RPH,&quot;&quot;)/[Row 4] SCOORD (111041,DCM,&quot;Outline&quot;)'"/>
<xsl:with-param name="row" select="'4'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'scoord'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Outline'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'111041'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="'ELLIPSE_OR_POLYLINE'"/>
<xsl:with-param name="numpointsmin" select="'4'"/>
<xsl:with-param name="numpointsmax" select="'n'"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'3'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[name() = 'scoord' and concept/@cv = '111041' and concept/@csd = 'DCM']">
					<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007b RadPharmSubRegionsAndMeasurements/[Row 1a] CONTAINER (RP-101003,99RPH,"")/[Row 1b] CONTAINER (RP-100102,99RPH,"")/[Row 4] SCOORD (111041,DCM,"")/[Row 4a] CODE (RP-100899,99RPH,"Closed Curve Type")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007b RadPharmSubRegionsAndMeasurements/[Row 1a] CONTAINER (RP-101003,99RPH,&quot;&quot;)/[Row 1b] CONTAINER (RP-100102,99RPH,&quot;&quot;)/[Row 4] SCOORD (111041,DCM,&quot;&quot;)/[Row 4a] CODE (RP-100899,99RPH,&quot;Closed Curve Type&quot;)'"/>
<xsl:with-param name="row" select="'4a'"/>
<xsl:with-param name="relationship" select="'HAS CONCEPT MOD'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Closed Curve Type'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100899'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7070'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'4'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RP-100899' and concept/@csd = '99RPH']"/>   
					<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007b RadPharmSubRegionsAndMeasurements/[Row 1a] CONTAINER (RP-101003,99RPH,"")/[Row 1b] CONTAINER (RP-100102,99RPH,"")/[Row 4] SCOORD (111041,DCM,"")/[Row 4b] CODE (RP-100897,99RPH,"Closed Polygon Type")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007b RadPharmSubRegionsAndMeasurements/[Row 1a] CONTAINER (RP-101003,99RPH,&quot;&quot;)/[Row 1b] CONTAINER (RP-100102,99RPH,&quot;&quot;)/[Row 4] SCOORD (111041,DCM,&quot;&quot;)/[Row 4b] CODE (RP-100897,99RPH,&quot;Closed Polygon Type&quot;)'"/>
<xsl:with-param name="row" select="'4b'"/>
<xsl:with-param name="relationship" select="'HAS CONCEPT MOD'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Closed Polygon Type'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100897'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7071'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'4'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RP-100897' and concept/@csd = '99RPH']"/>   
					<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007b RadPharmSubRegionsAndMeasurements/[Row 1a] CONTAINER (RP-101003,99RPH,"")/[Row 1b] CONTAINER (RP-100102,99RPH,"")/[Row 4] SCOORD (111041,DCM,"")/[Row 5] IMAGE *</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007b RadPharmSubRegionsAndMeasurements/[Row 1a] CONTAINER (RP-101003,99RPH,&quot;&quot;)/[Row 1b] CONTAINER (RP-100102,99RPH,&quot;&quot;)/[Row 4] SCOORD (111041,DCM,&quot;&quot;)/[Row 5] IMAGE *'"/>
<xsl:with-param name="row" select="'5'"/>
<xsl:with-param name="relationship" select="'SELECTED FROM'"/>
<xsl:with-param name="valueType" select="'image'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'4'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'image']"/>		
				</xsl:for-each>
				<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007b RadPharmSubRegionsAndMeasurements/[Row 1a] CONTAINER (RP-101003,99RPH,"")/[Row 1b] CONTAINER (RP-100102,99RPH,"")/[Row 6] IMAGE (RP-100100,99RPH,"Region Raster")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(../../code[concept/@cv = 'RP-100503' and concept/@csd = '99RPH' and value/@cv = 'G-D705' and value/@csd = 'SRT']) &gt; 0">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007b RadPharmSubRegionsAndMeasurements/[Row 1a] CONTAINER (RP-101003,99RPH,&quot;&quot;)/[Row 1b] CONTAINER (RP-100102,99RPH,&quot;&quot;)/[Row 6] IMAGE (RP-100100,99RPH,&quot;Region Raster&quot;)'"/>
<xsl:with-param name="row" select="'6'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'image'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Region Raster'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100100'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'3'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007b RadPharmSubRegionsAndMeasurements/[Row 1a] CONTAINER (RP-101003,99RPH,&quot;&quot;)/[Row 1b] CONTAINER (RP-100102,99RPH,&quot;&quot;)/[Row 6] IMAGE (RP-100100,99RPH,&quot;Region Raster&quot;)'"/>
<xsl:with-param name="row" select="'6'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'image'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Region Raster'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100100'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'3'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[name() = 'image' and concept/@cv = 'RP-100100' and concept/@csd = '99RPH']"/>
			    <xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_RPH_0009</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_RPH_0009">
<xsl:with-param name="templatevmmin" select="''"/>
<xsl:with-param name="templatevmmax" select="''"/>
<xsl:with-param name="templateRequiredType" select="''"/>
</xsl:call-template>  
			</xsl:for-each>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_RPH_0009</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_RPH_0009">
<xsl:with-param name="templatevmmin" select="''"/>
<xsl:with-param name="templatevmmax" select="''"/>
<xsl:with-param name="templateRequiredType" select="''"/>
</xsl:call-template>  
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007b RadPharmSubRegionsAndMeasurements/[Row 1a] CONTAINER (RP-101003,99RPH,"")/[Row 9] CODE (RP-100503,99RPH,"Measurement Object Type")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007b RadPharmSubRegionsAndMeasurements/[Row 1a] CONTAINER (RP-101003,99RPH,&quot;&quot;)/[Row 9] CODE (RP-100503,99RPH,&quot;Measurement Object Type&quot;)'"/>
<xsl:with-param name="row" select="'9'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Measurement Object Type'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100503'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="'Biorthogonal Line Segments'"/>
<xsl:with-param name="csdValue" select="'99RPH'"/>
<xsl:with-param name="cvValue" select="'RP-100104'"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RP-100503' and concept/@csd = '99RPH']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_RPH_0007a</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_RPH_0007a">
<xsl:with-param name="templatevmmin" select="''"/>
<xsl:with-param name="templatevmmax" select="''"/>
<xsl:with-param name="templateRequiredType" select="''"/>
</xsl:call-template>  
			<xsl:if test="count(container[concept/@cv = 'RP-101002' and concept/@csd = '99RPH']/code[concept/@cv = 'RP101012' and concept/@csd = '99RPH' and value/@cv = 'G-D231' and value/@csd = 'SRT']) &gt; 0">
<xsl:text>Error: Template RPH_0007b RadPharmSubRegionsAndMeasurements/[Row 1a] CONTAINER (RP-101003,99RPH,""): </xsl:text>
<xsl:call-template name="buildFullPathInInstanceToCurrentNode"/>
<xsl:text>: Row 10 Automation is required to be present and have a value of Automated</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
		</xsl:for-each>
	</xsl:template>
<xsl:template name="TID_RPH_0007c">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_RPH_0007c (RadPharmTextAnnotation)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007c RadPharmTextAnnotation/[Row 1a] CONTAINER (RP-100106,99RPH,"Text Annotation")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(code[concept/@cv = 'RP-100503' and concept/@csd = '99RPH' and value/@cv = 'RP-100106' and value/@csd = '99RPH']) &gt; 0">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007c RadPharmTextAnnotation/[Row 1a] CONTAINER (RP-100106,99RPH,&quot;Text Annotation&quot;)'"/>
<xsl:with-param name="row" select="'1a'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'container'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Text Annotation'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100106'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007c RadPharmTextAnnotation/[Row 1a] CONTAINER (RP-100106,99RPH,&quot;Text Annotation&quot;)'"/>
<xsl:with-param name="row" select="'1a'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'container'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Text Annotation'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100106'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[name() = 'container' and concept/@cv = 'RP-100106' and concept/@csd = '99RPH']">    
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007c RadPharmTextAnnotation/[Row 1a] CONTAINER (RP-100106,99RPH,"")/[Row 1b] SCOORD (121055,DCM,"Path")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007c RadPharmTextAnnotation/[Row 1a] CONTAINER (RP-100106,99RPH,&quot;&quot;)/[Row 1b] SCOORD (121055,DCM,&quot;Path&quot;)'"/>
<xsl:with-param name="row" select="'1b'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'scoord'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Path'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121055'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="'MULTIPOINT'"/>
<xsl:with-param name="numpointsmin" select="'3'"/>
<xsl:with-param name="numpointsmax" select="'3'"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'scoord' and concept/@cv = '121055' and concept/@csd = 'DCM']">
				<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007c RadPharmTextAnnotation/[Row 1a] CONTAINER (RP-100106,99RPH,"")/[Row 1b] SCOORD (121055,DCM,"")/[Row 2] IMAGE *</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007c RadPharmTextAnnotation/[Row 1a] CONTAINER (RP-100106,99RPH,&quot;&quot;)/[Row 1b] SCOORD (121055,DCM,&quot;&quot;)/[Row 2] IMAGE *'"/>
<xsl:with-param name="row" select="'2'"/>
<xsl:with-param name="relationship" select="'SELECTED FROM'"/>
<xsl:with-param name="valueType" select="'image'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'3'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'image']"/>		
			</xsl:for-each>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007c RadPharmTextAnnotation/[Row 1a] CONTAINER (RP-100106,99RPH,"")/[Row 3] TEXT (RP-100106,99RPH,"Text Annotation")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007c RadPharmTextAnnotation/[Row 1a] CONTAINER (RP-100106,99RPH,&quot;&quot;)/[Row 3] TEXT (RP-100106,99RPH,&quot;Text Annotation&quot;)'"/>
<xsl:with-param name="row" select="'3'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Text Annotation'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100106'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = 'RP-100106' and concept/@csd = '99RPH']"/>
		</xsl:for-each>
	</xsl:template>
<xsl:template name="TID_RPH_0007d">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_RPH_0007d (RadPharmMeasurementsDerivedFromOtherMeasurements)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007d RadPharmMeasurementsDerivedFromOtherMeasurements/[Row 1a] CONTAINER (RP-101004,99RPH,"Derived Measurement")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(code[concept/@cv = 'RP-100503' and concept/@csd = '99RPH' and value/@cv = 'RP-100111' and value/@csd = '99RPH']) &gt; 0">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007d RadPharmMeasurementsDerivedFromOtherMeasurements/[Row 1a] CONTAINER (RP-101004,99RPH,&quot;Derived Measurement&quot;)'"/>
<xsl:with-param name="row" select="'1a'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'container'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Derived Measurement'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-101004'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007d RadPharmMeasurementsDerivedFromOtherMeasurements/[Row 1a] CONTAINER (RP-101004,99RPH,&quot;Derived Measurement&quot;)'"/>
<xsl:with-param name="row" select="'1a'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'container'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Derived Measurement'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-101004'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[name() = 'container' and concept/@cv = 'RP-101004' and concept/@csd = '99RPH']">    
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007d RadPharmMeasurementsDerivedFromOtherMeasurements/[Row 1a] CONTAINER (RP-101004,99RPH,"")/[Row 1b] NUM *</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007d RadPharmMeasurementsDerivedFromOtherMeasurements/[Row 1a] CONTAINER (RP-101004,99RPH,&quot;&quot;)/[Row 1b] NUM *'"/>
<xsl:with-param name="row" select="'1b'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'num'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'num']">    
				<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0007d RadPharmMeasurementsDerivedFromOtherMeasurements/[Row 1a] CONTAINER (RP-101004,99RPH,"")/[Row 1b] NUM */[Row 2] UIDREF (RP-100112,99RPH,"Source Measurement Object UID")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0007d RadPharmMeasurementsDerivedFromOtherMeasurements/[Row 1a] CONTAINER (RP-101004,99RPH,&quot;&quot;)/[Row 1b] NUM */[Row 2] UIDREF (RP-100112,99RPH,&quot;Source Measurement Object UID&quot;)'"/>
<xsl:with-param name="row" select="'2'"/>
<xsl:with-param name="relationship" select="'INFERRED FROM'"/>
<xsl:with-param name="valueType" select="'uidref'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Source Measurement Object UID'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100112'"/>
<xsl:with-param name="vmmin" select="'2'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'3'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'uidref' and concept/@cv = 'RP-100112' and concept/@csd = '99RPH']"/>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:template>
<xsl:template name="TID_RPH_0009">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_RPH_0009 (RadPharmRegionMeasurements)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0009 RadPharmRegionMeasurements/[Row 1] NUM *</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0009 RadPharmRegionMeasurements/[Row 1] NUM *'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'num'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'num']"/>   
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0009 RadPharmRegionMeasurements/[Row 2] NUM *</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0009 RadPharmRegionMeasurements/[Row 2] NUM *'"/>
<xsl:with-param name="row" select="'2'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'num'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'num']">    
		
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0009 RadPharmRegionMeasurements/[Row 2] NUM */[Row 3] CODE (G-C036,SRT,"Measurement Method")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0009 RadPharmRegionMeasurements/[Row 2] NUM */[Row 3] CODE (G-C036,SRT,&quot;Measurement Method&quot;)'"/>
<xsl:with-param name="row" select="'3'"/>
<xsl:with-param name="relationship" select="'HAS CONCEPT MOD'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Measurement Method'"/>
<xsl:with-param name="csdConceptName" select="'SRT'"/>
<xsl:with-param name="cvConceptName" select="'G-C036'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="'7473'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'G-C036' and concept/@csd = 'SRT']"/>
		</xsl:for-each>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0009 RadPharmRegionMeasurements/[Row 4] NUM *</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0009 RadPharmRegionMeasurements/[Row 4] NUM *'"/>
<xsl:with-param name="row" select="'4'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'num'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'num']">    
		
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0009 RadPharmRegionMeasurements/[Row 4] NUM */[Row 5] CODE (G-C036,SRT,"Measurement Method")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0009 RadPharmRegionMeasurements/[Row 4] NUM */[Row 5] CODE (G-C036,SRT,&quot;Measurement Method&quot;)'"/>
<xsl:with-param name="row" select="'5'"/>
<xsl:with-param name="relationship" select="'HAS CONCEPT MOD'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Measurement Method'"/>
<xsl:with-param name="csdConceptName" select="'SRT'"/>
<xsl:with-param name="cvConceptName" select="'G-C036'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="'7474'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'G-C036' and concept/@csd = 'SRT']"/>
		</xsl:for-each>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0009 RadPharmRegionMeasurements/[Row 6] NUM (RP-100410,99RPH,"Pixel Count")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0009 RadPharmRegionMeasurements/[Row 6] NUM (RP-100410,99RPH,&quot;Pixel Count&quot;)'"/>
<xsl:with-param name="row" select="'6'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'num'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Pixel Count'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100410'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'num' and concept/@cv = 'RP-100410' and concept/@csd = '99RPH']"/> 
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0009 RadPharmRegionMeasurements/[Row 7] NUM *</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0009 RadPharmRegionMeasurements/[Row 7] NUM *'"/>
<xsl:with-param name="row" select="'7'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'num'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'num']">   
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0009 RadPharmRegionMeasurements/[Row 7] NUM */[Row 8] CODE (121401,DCM,"Derivation")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(num[concept/@cv = '121401' and concept/@csd = 'DCM']) &gt; 0">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0009 RadPharmRegionMeasurements/[Row 7] NUM */[Row 8] CODE (121401,DCM,&quot;Derivation&quot;)'"/>
<xsl:with-param name="row" select="'8'"/>
<xsl:with-param name="relationship" select="'HAS CONCEPT MOD'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Derivation'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121401'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="'T'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7030'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0009 RadPharmRegionMeasurements/[Row 7] NUM */[Row 8] CODE (121401,DCM,&quot;Derivation&quot;)'"/>
<xsl:with-param name="row" select="'8'"/>
<xsl:with-param name="relationship" select="'HAS CONCEPT MOD'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Derivation'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121401'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="'T'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7030'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = '121401' and concept/@csd = 'DCM']"/>    
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0009 RadPharmRegionMeasurements/[Row 7] NUM */[Row 9] CODE (G-C036,SRT,"Measurement Method")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0009 RadPharmRegionMeasurements/[Row 7] NUM */[Row 9] CODE (G-C036,SRT,&quot;Measurement Method&quot;)'"/>
<xsl:with-param name="row" select="'9'"/>
<xsl:with-param name="relationship" select="'HAS CONCEPT MOD'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Measurement Method'"/>
<xsl:with-param name="csdConceptName" select="'SRT'"/>
<xsl:with-param name="cvConceptName" select="'G-C036'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="'7473_7474'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'G-C036' and concept/@csd = 'SRT']"/>
		</xsl:for-each>
	</xsl:template>
<xsl:template name="TID_RPH_0010">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_RPH_0010 (RadPharmClinicalTrialResultsImageLibraryEntry)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0010 RadPharmClinicalTrialResultsImageLibraryEntry/[Row 1] IMAGE *</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0010 RadPharmClinicalTrialResultsImageLibraryEntry/[Row 1] IMAGE *'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'image'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'image']">
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0010 RadPharmClinicalTrialResultsImageLibraryEntry/[Row 1] IMAGE */[Row 2] NUM (111026,DCM,"Horizontal Pixel Spacing")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0010 RadPharmClinicalTrialResultsImageLibraryEntry/[Row 1] IMAGE */[Row 2] NUM (111026,DCM,&quot;Horizontal Pixel Spacing&quot;)'"/>
<xsl:with-param name="row" select="'2'"/>
<xsl:with-param name="relationship" select="'HAS ACQ CONTEXT'"/>
<xsl:with-param name="valueType" select="'num'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Horizontal Pixel Spacing'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'111026'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="'millimeter'"/>
<xsl:with-param name="csdUnits" select="'UCUM'"/>
<xsl:with-param name="cvUnits" select="'mm'"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'num' and concept/@cv = '111026' and concept/@csd = 'DCM']">
				<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0010 RadPharmClinicalTrialResultsImageLibraryEntry/[Row 1] IMAGE */[Row 2] NUM (111026,DCM,"")/[Row 2a] UIDREF (RP-100403,99RPH,"Measurement Object UID")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0010 RadPharmClinicalTrialResultsImageLibraryEntry/[Row 1] IMAGE */[Row 2] NUM (111026,DCM,&quot;&quot;)/[Row 2a] UIDREF (RP-100403,99RPH,&quot;Measurement Object UID&quot;)'"/>
<xsl:with-param name="row" select="'2a'"/>
<xsl:with-param name="relationship" select="'HAS PROPERTIES'"/>
<xsl:with-param name="valueType" select="'uidref'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Measurement Object UID'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100403'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'3'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'uidref' and concept/@cv = 'RP-100403' and concept/@csd = '99RPH']"/>
			</xsl:for-each>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0010 RadPharmClinicalTrialResultsImageLibraryEntry/[Row 1] IMAGE */[Row 3] NUM (111066,DCM,"Vertical Pixel Spacing")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0010 RadPharmClinicalTrialResultsImageLibraryEntry/[Row 1] IMAGE */[Row 3] NUM (111066,DCM,&quot;Vertical Pixel Spacing&quot;)'"/>
<xsl:with-param name="row" select="'3'"/>
<xsl:with-param name="relationship" select="'HAS ACQ CONTEXT'"/>
<xsl:with-param name="valueType" select="'num'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Vertical Pixel Spacing'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'111066'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="'millimeter'"/>
<xsl:with-param name="csdUnits" select="'UCUM'"/>
<xsl:with-param name="cvUnits" select="'mm'"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'num' and concept/@cv = '111066' and concept/@csd = 'DCM']">
				<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0010 RadPharmClinicalTrialResultsImageLibraryEntry/[Row 1] IMAGE */[Row 3] NUM (111066,DCM,"")/[Row 3a] UIDREF (RP-100403,99RPH,"Measurement Object UID")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0010 RadPharmClinicalTrialResultsImageLibraryEntry/[Row 1] IMAGE */[Row 3] NUM (111066,DCM,&quot;&quot;)/[Row 3a] UIDREF (RP-100403,99RPH,&quot;Measurement Object UID&quot;)'"/>
<xsl:with-param name="row" select="'3a'"/>
<xsl:with-param name="relationship" select="'HAS PROPERTIES'"/>
<xsl:with-param name="valueType" select="'uidref'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Measurement Object UID'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100403'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'3'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'uidref' and concept/@cv = 'RP-100403' and concept/@csd = '99RPH']"/>
			</xsl:for-each>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0010 RadPharmClinicalTrialResultsImageLibraryEntry/[Row 1] IMAGE */[Row 4] NUM (RID12405,RADLEX,"Reconstruction Interval")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0010 RadPharmClinicalTrialResultsImageLibraryEntry/[Row 1] IMAGE */[Row 4] NUM (RID12405,RADLEX,&quot;Reconstruction Interval&quot;)'"/>
<xsl:with-param name="row" select="'4'"/>
<xsl:with-param name="relationship" select="'HAS ACQ CONTEXT'"/>
<xsl:with-param name="valueType" select="'num'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Reconstruction Interval'"/>
<xsl:with-param name="csdConceptName" select="'RADLEX'"/>
<xsl:with-param name="cvConceptName" select="'RID12405'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="'millimeter'"/>
<xsl:with-param name="csdUnits" select="'UCUM'"/>
<xsl:with-param name="cvUnits" select="'mm'"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'num' and concept/@cv = 'RID12405' and concept/@csd = 'RADLEX']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0010 RadPharmClinicalTrialResultsImageLibraryEntry/[Row 1] IMAGE */[Row 5] NUM (RID12636,RADLEX,"Slice Thickness")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0010 RadPharmClinicalTrialResultsImageLibraryEntry/[Row 1] IMAGE */[Row 5] NUM (RID12636,RADLEX,&quot;Slice Thickness&quot;)'"/>
<xsl:with-param name="row" select="'5'"/>
<xsl:with-param name="relationship" select="'HAS ACQ CONTEXT'"/>
<xsl:with-param name="valueType" select="'num'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Slice Thickness'"/>
<xsl:with-param name="csdConceptName" select="'RADLEX'"/>
<xsl:with-param name="cvConceptName" select="'RID12636'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="'millimeter'"/>
<xsl:with-param name="csdUnits" select="'UCUM'"/>
<xsl:with-param name="cvUnits" select="'mm'"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'num' and concept/@cv = 'RID12636' and concept/@csd = 'RADLEX']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0010 RadPharmClinicalTrialResultsImageLibraryEntry/[Row 1] IMAGE */[Row 6] TEXT (RP-100881,99RPH,"Message Digest")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0010 RadPharmClinicalTrialResultsImageLibraryEntry/[Row 1] IMAGE */[Row 6] TEXT (RP-100881,99RPH,&quot;Message Digest&quot;)'"/>
<xsl:with-param name="row" select="'6'"/>
<xsl:with-param name="relationship" select="'HAS ACQ CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Message Digest'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100881'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = 'RP-100881' and concept/@csd = '99RPH']">
				<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0010 RadPharmClinicalTrialResultsImageLibraryEntry/[Row 1] IMAGE */[Row 6] TEXT (RP-100881,99RPH,"")/[Row 7] CODE (RP-100882,99RPH,"Message Digest Algorithm")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0010 RadPharmClinicalTrialResultsImageLibraryEntry/[Row 1] IMAGE */[Row 6] TEXT (RP-100881,99RPH,&quot;&quot;)/[Row 7] CODE (RP-100882,99RPH,&quot;Message Digest Algorithm&quot;)'"/>
<xsl:with-param name="row" select="'7'"/>
<xsl:with-param name="relationship" select="'HAS PROPERTIES'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Message Digest Algorithm'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100882'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7060'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'3'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RP-100882' and concept/@csd = '99RPH']"/>
				<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0010 RadPharmClinicalTrialResultsImageLibraryEntry/[Row 1] IMAGE */[Row 6] TEXT (RP-100881,99RPH,"")/[Row 8] CODE (RP-100886,99RPH,"Message Digest Scope")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0010 RadPharmClinicalTrialResultsImageLibraryEntry/[Row 1] IMAGE */[Row 6] TEXT (RP-100881,99RPH,&quot;&quot;)/[Row 8] CODE (RP-100886,99RPH,&quot;Message Digest Scope&quot;)'"/>
<xsl:with-param name="row" select="'8'"/>
<xsl:with-param name="relationship" select="'HAS PROPERTIES'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Message Digest Scope'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100886'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="'Entire file'"/>
<xsl:with-param name="csdValue" select="'99RPH'"/>
<xsl:with-param name="cvValue" select="'RP-100887'"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'3'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RP-100886' and concept/@csd = '99RPH']"/>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:template>
<xsl:template name="TID_RPH_0020">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_RPH_0020 (RadPharmAuditTrailEntry)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
		
			
			
		

		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0020 RadPharmAuditTrailEntry/[Row 1] CODE (RP-100090,99RPH,"Completed")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0020 RadPharmAuditTrailEntry/[Row 1] CODE (RP-100090,99RPH,&quot;Completed&quot;)'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Completed'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100090'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="'RPH_7230'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RP-100090' and concept/@csd = '99RPH']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0020 RadPharmAuditTrailEntry/[Row 2a] CONTAINER (RP-101010,99RPH,"Creation Information")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0020 RadPharmAuditTrailEntry/[Row 2a] CONTAINER (RP-101010,99RPH,&quot;Creation Information&quot;)'"/>
<xsl:with-param name="row" select="'2a'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'container'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Creation Information'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-101010'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'container' and concept/@cv = 'RP-101010' and concept/@csd = '99RPH']">		
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0020 RadPharmAuditTrailEntry/[Row 2a] CONTAINER (RP-101010,99RPH,"")/[Row 2b] DATETIME (RP-100920,99RPH,"Observation Creation DateTime")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0020 RadPharmAuditTrailEntry/[Row 2a] CONTAINER (RP-101010,99RPH,&quot;&quot;)/[Row 2b] DATETIME (RP-100920,99RPH,&quot;Observation Creation DateTime&quot;)'"/>
<xsl:with-param name="row" select="'2b'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'datetime'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Observation Creation DateTime'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100920'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'datetime' and concept/@cv = 'RP-100920' and concept/@csd = '99RPH']"/>		
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0020 RadPharmAuditTrailEntry/[Row 2a] CONTAINER (RP-101010,99RPH,"")/[Row 3] TEXT (RP-100006,99RPH,"Person Observer#s Login Name")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0020 RadPharmAuditTrailEntry/[Row 2a] CONTAINER (RP-101010,99RPH,&quot;&quot;)/[Row 3] TEXT (RP-100006,99RPH,&quot;Person Observer#s Login Name&quot;)'"/>
<xsl:with-param name="row" select="'3'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Person Observer#s Login Name'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100006'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = 'RP-100006' and concept/@csd = '99RPH']"/>	
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0020 RadPharmAuditTrailEntry/[Row 2a] CONTAINER (RP-101010,99RPH,"")/[Row 4] UIDREF (RP-100082,99RPH,"Worklist Sub-task UID")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0020 RadPharmAuditTrailEntry/[Row 2a] CONTAINER (RP-101010,99RPH,&quot;&quot;)/[Row 4] UIDREF (RP-100082,99RPH,&quot;Worklist Sub-task UID&quot;)'"/>
<xsl:with-param name="row" select="'4'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'uidref'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Worklist Sub-task UID'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100082'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'uidref' and concept/@cv = 'RP-100082' and concept/@csd = '99RPH']"/>
		</xsl:for-each>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0020 RadPharmAuditTrailEntry/[Row 5a] CONTAINER (RP-101011,99RPH,"Modification Information")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0020 RadPharmAuditTrailEntry/[Row 5a] CONTAINER (RP-101011,99RPH,&quot;Modification Information&quot;)'"/>
<xsl:with-param name="row" select="'5a'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'container'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Modification Information'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-101011'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'container' and concept/@cv = 'RP-101011' and concept/@csd = '99RPH']">	
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0020 RadPharmAuditTrailEntry/[Row 5a] CONTAINER (RP-101011,99RPH,"")/[Row 5b] DATETIME (RP-100921,99RPH,"Observation Modification DateTime")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0020 RadPharmAuditTrailEntry/[Row 5a] CONTAINER (RP-101011,99RPH,&quot;&quot;)/[Row 5b] DATETIME (RP-100921,99RPH,&quot;Observation Modification DateTime&quot;)'"/>
<xsl:with-param name="row" select="'5b'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'datetime'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Observation Modification DateTime'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100921'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'datetime' and concept/@cv = 'RP-100921' and concept/@csd = '99RPH']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0020 RadPharmAuditTrailEntry/[Row 5a] CONTAINER (RP-101011,99RPH,"")/[Row 6] TEXT (RP-100006,99RPH,"Person Observer#s Login Name")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0020 RadPharmAuditTrailEntry/[Row 5a] CONTAINER (RP-101011,99RPH,&quot;&quot;)/[Row 6] TEXT (RP-100006,99RPH,&quot;Person Observer#s Login Name&quot;)'"/>
<xsl:with-param name="row" select="'6'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Person Observer#s Login Name'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100006'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = 'RP-100006' and concept/@csd = '99RPH']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0020 RadPharmAuditTrailEntry/[Row 5a] CONTAINER (RP-101011,99RPH,"")/[Row 7] UIDREF (RP-100082,99RPH,"Worklist Sub-task UID")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0020 RadPharmAuditTrailEntry/[Row 5a] CONTAINER (RP-101011,99RPH,&quot;&quot;)/[Row 7] UIDREF (RP-100082,99RPH,&quot;Worklist Sub-task UID&quot;)'"/>
<xsl:with-param name="row" select="'7'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'uidref'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Worklist Sub-task UID'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100082'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'uidref' and concept/@cv = 'RP-100082' and concept/@csd = '99RPH']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0020 RadPharmAuditTrailEntry/[Row 5a] CONTAINER (RP-101011,99RPH,"")/[Row 8] CODE (RP-100058,99RPH,"Edit reason")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0020 RadPharmAuditTrailEntry/[Row 5a] CONTAINER (RP-101011,99RPH,&quot;&quot;)/[Row 8] CODE (RP-100058,99RPH,&quot;Edit reason&quot;)'"/>
<xsl:with-param name="row" select="'8'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Edit reason'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100058'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RP-100058' and concept/@csd = '99RPH']">		
				<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0020 RadPharmAuditTrailEntry/[Row 5a] CONTAINER (RP-101011,99RPH,"")/[Row 8] CODE (RP-100058,99RPH,"")/[Row 9] TEXT (RP-100923,99RPH,"Edit Comment")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0020 RadPharmAuditTrailEntry/[Row 5a] CONTAINER (RP-101011,99RPH,&quot;&quot;)/[Row 8] CODE (RP-100058,99RPH,&quot;&quot;)/[Row 9] TEXT (RP-100923,99RPH,&quot;Edit Comment&quot;)'"/>
<xsl:with-param name="row" select="'9'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Edit Comment'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100923'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'3'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = 'RP-100923' and concept/@csd = '99RPH']"/>		
			</xsl:for-each>
		</xsl:for-each>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0020 RadPharmAuditTrailEntry/[Row 10] CODE (RP-100922,99RPH,"Additional Observation")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0020 RadPharmAuditTrailEntry/[Row 10] CODE (RP-100922,99RPH,&quot;Additional Observation&quot;)'"/>
<xsl:with-param name="row" select="'10'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Additional Observation'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100922'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="'Yes'"/>
<xsl:with-param name="csdValue" select="'SRT'"/>
<xsl:with-param name="cvValue" select="'R-0038D'"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RP-100922' and concept/@csd = '99RPH']">	
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0020 RadPharmAuditTrailEntry/[Row 10] CODE (RP-100922,99RPH,"")/[Row 10b] DATETIME (RP-101014,99RPH,"Observation Addition DateTime")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0020 RadPharmAuditTrailEntry/[Row 10] CODE (RP-100922,99RPH,&quot;&quot;)/[Row 10b] DATETIME (RP-101014,99RPH,&quot;Observation Addition DateTime&quot;)'"/>
<xsl:with-param name="row" select="'10b'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'datetime'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Observation Addition DateTime'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-101014'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'datetime' and concept/@cv = 'RP-101014' and concept/@csd = '99RPH']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0020 RadPharmAuditTrailEntry/[Row 10] CODE (RP-100922,99RPH,"")/[Row 11] TEXT (RP-100006,99RPH,"Person Observer#s Login Name")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0020 RadPharmAuditTrailEntry/[Row 10] CODE (RP-100922,99RPH,&quot;&quot;)/[Row 11] TEXT (RP-100006,99RPH,&quot;Person Observer#s Login Name&quot;)'"/>
<xsl:with-param name="row" select="'11'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Person Observer#s Login Name'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100006'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = 'RP-100006' and concept/@csd = '99RPH']"/>	
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0020 RadPharmAuditTrailEntry/[Row 10] CODE (RP-100922,99RPH,"")/[Row 12] UIDREF (RP-100082,99RPH,"Worklist Sub-task UID")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0020 RadPharmAuditTrailEntry/[Row 10] CODE (RP-100922,99RPH,&quot;&quot;)/[Row 12] UIDREF (RP-100082,99RPH,&quot;Worklist Sub-task UID&quot;)'"/>
<xsl:with-param name="row" select="'12'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'uidref'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Worklist Sub-task UID'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100082'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'uidref' and concept/@cv = 'RP-100082' and concept/@csd = '99RPH']"/>
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0020 RadPharmAuditTrailEntry/[Row 10] CODE (RP-100922,99RPH,"")/[Row 13] CODE (RP-100058,99RPH,"Edit reason")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0020 RadPharmAuditTrailEntry/[Row 10] CODE (RP-100922,99RPH,&quot;&quot;)/[Row 13] CODE (RP-100058,99RPH,&quot;Edit reason&quot;)'"/>
<xsl:with-param name="row" select="'13'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Edit reason'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100058'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = 'RP-100058' and concept/@csd = '99RPH']">		
				<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template RPH_0020 RadPharmAuditTrailEntry/[Row 10] CODE (RP-100922,99RPH,"")/[Row 13] CODE (RP-100058,99RPH,"")/[Row 14] TEXT (RP-100923,99RPH,"Edit Comment")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template RPH_0020 RadPharmAuditTrailEntry/[Row 10] CODE (RP-100922,99RPH,&quot;&quot;)/[Row 13] CODE (RP-100058,99RPH,&quot;&quot;)/[Row 14] TEXT (RP-100923,99RPH,&quot;Edit Comment&quot;)'"/>
<xsl:with-param name="row" select="'14'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Edit Comment'"/>
<xsl:with-param name="csdConceptName" select="'99RPH'"/>
<xsl:with-param name="cvConceptName" select="'RP-100923'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'3'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = 'RP-100923' and concept/@csd = '99RPH']"/>	
			</xsl:for-each>
		</xsl:for-each>
	</xsl:template>
<xsl:template name="TID_1001">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_1001 (ObservationContext)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_1002</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_1002">
<xsl:with-param name="templatevmmin" select="'1'"/>
<xsl:with-param name="templatevmmax" select="'n'"/>
<xsl:with-param name="templateRequiredType" select="'U'"/>
</xsl:call-template> 
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_1005</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_1005">
<xsl:with-param name="templatevmmin" select="'1'"/>
<xsl:with-param name="templatevmmax" select="'1'"/>
<xsl:with-param name="templateRequiredType" select="'M'"/>
</xsl:call-template> 
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_1006</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_1006">
<xsl:with-param name="templatevmmin" select="'1'"/>
<xsl:with-param name="templatevmmax" select="'1'"/>
<xsl:with-param name="templateRequiredType" select="'M'"/>
</xsl:call-template> 
	</xsl:template>
<xsl:template name="TID_1002">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_1002 (ObserverContext)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1002 ObserverContext/[Row 1] CODE (121005,DCM,"Observer Type")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1002 ObserverContext/[Row 1] CODE (121005,DCM,&quot;Observer Type&quot;)'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Observer Type'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121005'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="'270'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = '121005' and concept/@csd = 'DCM']"/> 
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_1003</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="(count(code[concept/@cv='121005' and concept/@csd='DCM']) = 0 and count(pname[concept/@cv='121008' and concept/@csd='DCM']) &gt; 0) or count(code[concept/@cv='121005' and concept/@csd='DCM' and value/@cv='121006'and value/@csd='DCM']) &gt; 0">
<xsl:call-template name="TID_1003">
<xsl:with-param name="templatevmmin" select="'1'"/>
<xsl:with-param name="templatevmmax" select="'1'"/>
<xsl:with-param name="templateRequiredType" select="'MC'"/>
<xsl:with-param name="templateConditionSatisfied" select="'T'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="TID_1003">
<xsl:with-param name="templatevmmin" select="'1'"/>
<xsl:with-param name="templatevmmax" select="'1'"/>
<xsl:with-param name="templateRequiredType" select="'MC'"/>
<xsl:with-param name="templateConditionSatisfied" select="'F'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose> 
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_1004</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(code[concept/@cv='121007' and concept/@csd='DCM' and value/@cv='121006'and value/@csd='DCM']) &gt; 0">
<xsl:call-template name="TID_1004">
<xsl:with-param name="templatevmmin" select="'1'"/>
<xsl:with-param name="templatevmmax" select="'1'"/>
<xsl:with-param name="templateRequiredType" select="'MC'"/>
<xsl:with-param name="templateConditionSatisfied" select="'T'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="TID_1004">
<xsl:with-param name="templatevmmin" select="'1'"/>
<xsl:with-param name="templatevmmax" select="'1'"/>
<xsl:with-param name="templateRequiredType" select="'MC'"/>
<xsl:with-param name="templateConditionSatisfied" select="'F'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose> 
	</xsl:template>
<xsl:template name="TID_1003">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_1003 (PersonObserverIdentifyingAttributes)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1003 PersonObserverIdentifyingAttributes/[Row 1] PNAME (121008,DCM,"Person Observer Name")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1003 PersonObserverIdentifyingAttributes/[Row 1] PNAME (121008,DCM,&quot;Person Observer Name&quot;)'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'pname'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Person Observer Name'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121008'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'pname' and concept/@cv = '121008' and concept/@csd = 'DCM']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1003 PersonObserverIdentifyingAttributes/[Row 2] TEXT (121009,DCM,"Person Observer#s Organization Name")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1003 PersonObserverIdentifyingAttributes/[Row 2] TEXT (121009,DCM,&quot;Person Observer#s Organization Name&quot;)'"/>
<xsl:with-param name="row" select="'2'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Person Observer#s Organization Name'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121009'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = '121009' and concept/@csd = 'DCM']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1003 PersonObserverIdentifyingAttributes/[Row 3] CODE (121010,DCM,"Person Observer#s Role in the Organization")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1003 PersonObserverIdentifyingAttributes/[Row 3] CODE (121010,DCM,&quot;Person Observer#s Role in the Organization&quot;)'"/>
<xsl:with-param name="row" select="'3'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Person Observer#s Role in the Organization'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121010'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="'7452'"/>
<xsl:with-param name="valueSetBDE" select="'B'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = '121010' and concept/@csd = 'DCM']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1003 PersonObserverIdentifyingAttributes/[Row 4] CODE (121011,DCM,"Person Observer#s Role in this Procedure")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1003 PersonObserverIdentifyingAttributes/[Row 4] CODE (121011,DCM,&quot;Person Observer#s Role in this Procedure&quot;)'"/>
<xsl:with-param name="row" select="'4'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Person Observer#s Role in this Procedure'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121011'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="'7453'"/>
<xsl:with-param name="valueSetBDE" select="'B'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = '121011' and concept/@csd = 'DCM']"/>
	</xsl:template>
<xsl:template name="TID_1004">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_1004 (DeviceObserverIdentifyingAttributes)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1004 DeviceObserverIdentifyingAttributes/[Row 1] UIDREF (121012,DCM,"Device Observer UID")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1004 DeviceObserverIdentifyingAttributes/[Row 1] UIDREF (121012,DCM,&quot;Device Observer UID&quot;)'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'uidref'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Device Observer UID'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121012'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'uidref' and concept/@cv = '121012' and concept/@csd = 'DCM']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1004 DeviceObserverIdentifyingAttributes/[Row 2] TEXT (121013,DCM,"Device Observer Name")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1004 DeviceObserverIdentifyingAttributes/[Row 2] TEXT (121013,DCM,&quot;Device Observer Name&quot;)'"/>
<xsl:with-param name="row" select="'2'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Device Observer Name'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121013'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = '121013' and concept/@csd = 'DCM']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1004 DeviceObserverIdentifyingAttributes/[Row 3] TEXT (121014,DCM,"Device Observer Manufacturer")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1004 DeviceObserverIdentifyingAttributes/[Row 3] TEXT (121014,DCM,&quot;Device Observer Manufacturer&quot;)'"/>
<xsl:with-param name="row" select="'3'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Device Observer Manufacturer'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121014'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = '121014' and concept/@csd = 'DCM']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1004 DeviceObserverIdentifyingAttributes/[Row 4] TEXT (121015,DCM,"Device Observer Model Name")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1004 DeviceObserverIdentifyingAttributes/[Row 4] TEXT (121015,DCM,&quot;Device Observer Model Name&quot;)'"/>
<xsl:with-param name="row" select="'4'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Device Observer Model Name'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121015'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = '121015' and concept/@csd = 'DCM']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1004 DeviceObserverIdentifyingAttributes/[Row 5] TEXT (121016,DCM,"Device Observer Serial Number")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1004 DeviceObserverIdentifyingAttributes/[Row 5] TEXT (121016,DCM,&quot;Device Observer Serial Number&quot;)'"/>
<xsl:with-param name="row" select="'5'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Device Observer Serial Number'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121016'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = '121016' and concept/@csd = 'DCM']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1004 DeviceObserverIdentifyingAttributes/[Row 6] TEXT (121017,DCM,"Device Observer Physical Location during observation")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1004 DeviceObserverIdentifyingAttributes/[Row 6] TEXT (121017,DCM,&quot;Device Observer Physical Location during observation&quot;)'"/>
<xsl:with-param name="row" select="'6'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Device Observer Physical Location during observation'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121017'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = '121017' and concept/@csd = 'DCM']"/>	
	</xsl:template>
<xsl:template name="TID_1005">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_1005 (ProcedureContext)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1005 ProcedureContext/[Row 1] UIDREF (121018,DCM,"Procedure Study Instance UID")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1005 ProcedureContext/[Row 1] UIDREF (121018,DCM,&quot;Procedure Study Instance UID&quot;)'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'uidref'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Procedure Study Instance UID'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121018'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'uidref' and concept/@cv = '121018' and concept/@csd = 'DCM']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1005 ProcedureContext/[Row 2] UIDREF (121019,DCM,"Procedure Study Component UID")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1005 ProcedureContext/[Row 2] UIDREF (121019,DCM,&quot;Procedure Study Component UID&quot;)'"/>
<xsl:with-param name="row" select="'2'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'uidref'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Procedure Study Component UID'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121019'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'uidref' and concept/@cv = '121019' and concept/@csd = 'DCM']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1005 ProcedureContext/[Row 3] TEXT (121020,DCM,"Placer Number")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1005 ProcedureContext/[Row 3] TEXT (121020,DCM,&quot;Placer Number&quot;)'"/>
<xsl:with-param name="row" select="'3'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Placer Number'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121020'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = '121020' and concept/@csd = 'DCM']">	
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1005 ProcedureContext/[Row 3] TEXT (121020,DCM,"")/[Row 4] TEXT (110190,DCM,"Issuer of Identifier")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1005 ProcedureContext/[Row 3] TEXT (121020,DCM,&quot;&quot;)/[Row 4] TEXT (110190,DCM,&quot;Issuer of Identifier&quot;)'"/>
<xsl:with-param name="row" select="'4'"/>
<xsl:with-param name="relationship" select="'HAS CONCEPT MOD'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Issuer of Identifier'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'110190'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = '110190' and concept/@csd = 'DCM']"/>
		</xsl:for-each>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1005 ProcedureContext/[Row 5] TEXT (121021,DCM,"Filler Number")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1005 ProcedureContext/[Row 5] TEXT (121021,DCM,&quot;Filler Number&quot;)'"/>
<xsl:with-param name="row" select="'5'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Filler Number'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121021'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = '121021' and concept/@csd = 'DCM']">	
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1005 ProcedureContext/[Row 5] TEXT (121021,DCM,"")/[Row 6] TEXT (110190,DCM,"Issuer of Identifier")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1005 ProcedureContext/[Row 5] TEXT (121021,DCM,&quot;&quot;)/[Row 6] TEXT (110190,DCM,&quot;Issuer of Identifier&quot;)'"/>
<xsl:with-param name="row" select="'6'"/>
<xsl:with-param name="relationship" select="'HAS CONCEPT MOD'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Issuer of Identifier'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'110190'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = '110190' and concept/@csd = 'DCM']"/>
		</xsl:for-each>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1005 ProcedureContext/[Row 7] TEXT (121022,DCM,"Accession Number")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1005 ProcedureContext/[Row 7] TEXT (121022,DCM,&quot;Accession Number&quot;)'"/>
<xsl:with-param name="row" select="'7'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Accession Number'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121022'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = '121022' and concept/@csd = 'DCM']">
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1005 ProcedureContext/[Row 7] TEXT (121022,DCM,"")/[Row 8] TEXT (110190,DCM,"Issuer of Identifier")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1005 ProcedureContext/[Row 7] TEXT (121022,DCM,&quot;&quot;)/[Row 8] TEXT (110190,DCM,&quot;Issuer of Identifier&quot;)'"/>
<xsl:with-param name="row" select="'8'"/>
<xsl:with-param name="relationship" select="'HAS CONCEPT MOD'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Issuer of Identifier'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'110190'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = '110190' and concept/@csd = 'DCM']"/>
		</xsl:for-each>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1005 ProcedureContext/[Row 9] CODE (121023,DCM,"Procedure Code")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1005 ProcedureContext/[Row 9] CODE (121023,DCM,&quot;Procedure Code&quot;)'"/>
<xsl:with-param name="row" select="'9'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Procedure Code'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121023'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = '121023' and concept/@csd = 'DCM']"/>
	</xsl:template>
<xsl:template name="TID_1006">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_1006 (SubjectContext)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1006 SubjectContext/[Row 1] CODE (121024,DCM,"Subject Class")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1006 SubjectContext/[Row 1] CODE (121024,DCM,&quot;Subject Class&quot;)'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Subject Class'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121024'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="'271'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = '121024' and concept/@csd = 'DCM']"/>  
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_1007</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_1007">
<xsl:with-param name="templatevmmin" select="'1'"/>
<xsl:with-param name="templatevmmax" select="'1'"/>
<xsl:with-param name="templateRequiredType" select="'U'"/>
</xsl:call-template> 
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_1008</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_1008">
<xsl:with-param name="templatevmmin" select="'1'"/>
<xsl:with-param name="templatevmmax" select="'1'"/>
<xsl:with-param name="templateRequiredType" select="'U'"/>
</xsl:call-template> 
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_1009</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_1009">
<xsl:with-param name="templatevmmin" select="'1'"/>
<xsl:with-param name="templatevmmax" select="'1'"/>
<xsl:with-param name="templateRequiredType" select="'U'"/>
</xsl:call-template> 
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_1010</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_1010">
<xsl:with-param name="templatevmmin" select="'1'"/>
<xsl:with-param name="templatevmmax" select="'1'"/>
<xsl:with-param name="templateRequiredType" select="'U'"/>
</xsl:call-template> 
	</xsl:template>
<xsl:template name="TID_1007">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_1007 (SubjectContextPatient)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1007 SubjectContextPatient/[Row 1] UIDREF (121028,DCM,"Subject UID")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1007 SubjectContextPatient/[Row 1] UIDREF (121028,DCM,&quot;Subject UID&quot;)'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'uidref'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Subject UID'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121028'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'uidref' and concept/@cv = '121028' and concept/@csd = 'DCM']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1007 SubjectContextPatient/[Row 2] PNAME (121029,DCM,"Subject Name")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1007 SubjectContextPatient/[Row 2] PNAME (121029,DCM,&quot;Subject Name&quot;)'"/>
<xsl:with-param name="row" select="'2'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'pname'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Subject Name'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121029'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'pname' and concept/@cv = '121029' and concept/@csd = 'DCM']"/> 
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1007 SubjectContextPatient/[Row 3] CODE (121030,DCM,"Subject ID")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1007 SubjectContextPatient/[Row 3] CODE (121030,DCM,&quot;Subject ID&quot;)'"/>
<xsl:with-param name="row" select="'3'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Subject ID'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121030'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = '121030' and concept/@csd = 'DCM']"/>   
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1007 SubjectContextPatient/[Row 4] DATE (121031,DCM,"Subject Birth Date")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1007 SubjectContextPatient/[Row 4] DATE (121031,DCM,&quot;Subject Birth Date&quot;)'"/>
<xsl:with-param name="row" select="'4'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'date'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Subject Birth Date'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121031'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'date' and concept/@cv = '121031' and concept/@csd = 'DCM']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1007 SubjectContextPatient/[Row 5] CODE (121032,DCM,"Subject Sex")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1007 SubjectContextPatient/[Row 5] CODE (121032,DCM,&quot;Subject Sex&quot;)'"/>
<xsl:with-param name="row" select="'5'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Subject Sex'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121032'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="'7455'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = '121032' and concept/@csd = 'DCM']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1007 SubjectContextPatient/[Row 6] NUM (121033,DCM,"Subject Age")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1007 SubjectContextPatient/[Row 6] NUM (121033,DCM,&quot;Subject Age&quot;)'"/>
<xsl:with-param name="row" select="'6'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'num'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Subject Age'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121033'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'num' and concept/@cv = '121033' and concept/@csd = 'DCM']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1007 SubjectContextPatient/[Row 7] CODE (121034,DCM,"Subject Species")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1007 SubjectContextPatient/[Row 7] CODE (121034,DCM,&quot;Subject Species&quot;)'"/>
<xsl:with-param name="row" select="'7'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Subject Species'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121034'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="'7454'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = '121034' and concept/@csd = 'DCM']"/> 
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1007 SubjectContextPatient/[Row 8] CODE (121035,DCM,"Subject Breed")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1007 SubjectContextPatient/[Row 8] CODE (121035,DCM,&quot;Subject Breed&quot;)'"/>
<xsl:with-param name="row" select="'8'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Subject Breed'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121035'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="'7480'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = '121035' and concept/@csd = 'DCM']"/>
	</xsl:template>
<xsl:template name="TID_1008">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_1008 (SubjectContextFetus)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1008 SubjectContextFetus/[Row 1] PNAMEF (121036,DCM,"Mother of fetus")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1008 SubjectContextFetus/[Row 1] PNAMEF (121036,DCM,&quot;Mother of fetus&quot;)'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'pnamef'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Mother of fetus'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121036'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'pnamef' and concept/@cv = '121036' and concept/@csd = 'DCM']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1008 SubjectContextFetus/[Row 2] UIDREF (121028,DCM,"Subject UID")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1008 SubjectContextFetus/[Row 2] UIDREF (121028,DCM,&quot;Subject UID&quot;)'"/>
<xsl:with-param name="row" select="'2'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'uidref'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Subject UID'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121028'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'uidref' and concept/@cv = '121028' and concept/@csd = 'DCM']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1008 SubjectContextFetus/[Row 3] TEXT (121030,DCM,"Subject ID")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(text[@cvConceptName='11951-1' and @csdConceptName='LN']) = 0">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1008 SubjectContextFetus/[Row 3] TEXT (121030,DCM,&quot;Subject ID&quot;)'"/>
<xsl:with-param name="row" select="'3'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Subject ID'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121030'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1008 SubjectContextFetus/[Row 3] TEXT (121030,DCM,&quot;Subject ID&quot;)'"/>
<xsl:with-param name="row" select="'3'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Subject ID'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121030'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = '121030' and concept/@csd = 'DCM']"/> 
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1008 SubjectContextFetus/[Row 4] TEXT (11951-1,LN,"Fetus ID")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(text[@cvConceptName='121030' and @csdConceptName='DCM']) = 0">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1008 SubjectContextFetus/[Row 4] TEXT (11951-1,LN,&quot;Fetus ID&quot;)'"/>
<xsl:with-param name="row" select="'4'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Fetus ID'"/>
<xsl:with-param name="csdConceptName" select="'LN'"/>
<xsl:with-param name="cvConceptName" select="'11951-1'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1008 SubjectContextFetus/[Row 4] TEXT (11951-1,LN,&quot;Fetus ID&quot;)'"/>
<xsl:with-param name="row" select="'4'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Fetus ID'"/>
<xsl:with-param name="csdConceptName" select="'LN'"/>
<xsl:with-param name="cvConceptName" select="'11951-1'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = '11951-1' and concept/@csd = 'LN']"/> 
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1008 SubjectContextFetus/[Row 5] NUM (11878-6,LN,"Number of Fetuses")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1008 SubjectContextFetus/[Row 5] NUM (11878-6,LN,&quot;Number of Fetuses&quot;)'"/>
<xsl:with-param name="row" select="'5'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'num'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Number of Fetuses'"/>
<xsl:with-param name="csdConceptName" select="'LN'"/>
<xsl:with-param name="cvConceptName" select="'11878-6'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="'no units'"/>
<xsl:with-param name="csdUnits" select="'UCUM'"/>
<xsl:with-param name="cvUnits" select="'1'"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'num' and concept/@cv = '11878-6' and concept/@csd = 'LN']"/>
	</xsl:template>
<xsl:template name="TID_1009">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_1009 (SubjectContextSpecimen)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1009 SubjectContextSpecimen/[Row 1] UIDREF (121039,DCM,"Specimen UID")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1009 SubjectContextSpecimen/[Row 1] UIDREF (121039,DCM,&quot;Specimen UID&quot;)'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'uidref'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Specimen UID'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121039'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'uidref' and concept/@cv = '121039' and concept/@csd = 'DCM']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1009 SubjectContextSpecimen/[Row 2] TEXT (121040,DCM,"Specimen Accession Number")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1009 SubjectContextSpecimen/[Row 2] TEXT (121040,DCM,&quot;Specimen Accession Number&quot;)'"/>
<xsl:with-param name="row" select="'2'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Specimen Accession Number'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121040'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = '121040' and concept/@csd = 'DCM']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_1007</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_1007">
<xsl:with-param name="templatevmmin" select="'1'"/>
<xsl:with-param name="templatevmmax" select="'1'"/>
<xsl:with-param name="templateRequiredType" select="'U'"/>
</xsl:call-template> 
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1009 SubjectContextSpecimen/[Row 4] TEXT (121041,DCM,"Specimen Identifier")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1009 SubjectContextSpecimen/[Row 4] TEXT (121041,DCM,&quot;Specimen Identifier&quot;)'"/>
<xsl:with-param name="row" select="'4'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Specimen Identifier'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121041'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = '121041' and concept/@csd = 'DCM']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1009 SubjectContextSpecimen/[Row 5] CODE (121042,DCM,"Specimen Type")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1009 SubjectContextSpecimen/[Row 5] CODE (121042,DCM,&quot;Specimen Type&quot;)'"/>
<xsl:with-param name="row" select="'5'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Specimen Type'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121042'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = '121042' and concept/@csd = 'DCM']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1009 SubjectContextSpecimen/[Row 6] TEXT (121043,DCM,"Slide Identifier")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1009 SubjectContextSpecimen/[Row 6] TEXT (121043,DCM,&quot;Slide Identifier&quot;)'"/>
<xsl:with-param name="row" select="'6'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Slide Identifier'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121043'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = '121043' and concept/@csd = 'DCM']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1009 SubjectContextSpecimen/[Row 7] UIDREF (121044,DCM,"Slide UID”")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1009 SubjectContextSpecimen/[Row 7] UIDREF (121044,DCM,&quot;Slide UID”&quot;)'"/>
<xsl:with-param name="row" select="'7'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'uidref'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Slide UID”'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121044'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'uidref' and concept/@cv = '121044' and concept/@csd = 'DCM']"/>	
	</xsl:template>
<xsl:template name="TID_1010">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_1010 (SubjectContextDevice)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1010 SubjectContextDevice/[Row 1] TEXT (121193,DCM,"Device Subject Name")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1010 SubjectContextDevice/[Row 1] TEXT (121193,DCM,&quot;Device Subject Name&quot;)'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Device Subject Name'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121193'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = '121193' and concept/@csd = 'DCM']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1010 SubjectContextDevice/[Row 2] UIDREF (121198,DCM,"Device Subject UID")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1010 SubjectContextDevice/[Row 2] UIDREF (121198,DCM,&quot;Device Subject UID&quot;)'"/>
<xsl:with-param name="row" select="'2'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'uidref'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Device Subject UID'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121198'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'uidref' and concept/@cv = '121198' and concept/@csd = 'DCM']"/>	
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1010 SubjectContextDevice/[Row 3] TEXT (121194,DCM,"Device Subject Manufacturer")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1010 SubjectContextDevice/[Row 3] TEXT (121194,DCM,&quot;Device Subject Manufacturer&quot;)'"/>
<xsl:with-param name="row" select="'3'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Device Subject Manufacturer'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121194'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = '121194' and concept/@csd = 'DCM']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1010 SubjectContextDevice/[Row 4] TEXT (121195,DCM,"Device Subject Model Name")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1010 SubjectContextDevice/[Row 4] TEXT (121195,DCM,&quot;Device Subject Model Name&quot;)'"/>
<xsl:with-param name="row" select="'4'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Device Subject Model Name'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121195'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = '121195' and concept/@csd = 'DCM']"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1010 SubjectContextDevice/[Row 5] TEXT (121196,DCM,"Device Subject Serial Number")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1010 SubjectContextDevice/[Row 5] TEXT (121196,DCM,&quot;Device Subject Serial Number&quot;)'"/>
<xsl:with-param name="row" select="'5'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Device Subject Serial Number'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121196'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = '121196' and concept/@csd = 'DCM']"/>	
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1010 SubjectContextDevice/[Row 6] TEXT (121197,DCM,"Device Subject Physical Location during observation")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1010 SubjectContextDevice/[Row 6] TEXT (121197,DCM,&quot;Device Subject Physical Location during observation&quot;)'"/>
<xsl:with-param name="row" select="'6'"/>
<xsl:with-param name="relationship" select="'HAS OBS CONTEXT'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Device Subject Physical Location during observation'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121197'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = '121197' and concept/@csd = 'DCM']"/>	
	</xsl:template>
<xsl:template name="TID_1201">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_1201 (LanguageOfValue)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1201 LanguageOfValue/[Row 1] CODE (121047,DCM,"Language of Value")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1201 LanguageOfValue/[Row 1] CODE (121047,DCM,&quot;Language of Value&quot;)'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="'HAS CONCEPT MOD'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Language of Value'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121047'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="'5000'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = '121047' and concept/@csd = 'DCM']">
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1201 LanguageOfValue/[Row 1] CODE (121047,DCM,"")/[Row 2] CODE (121046,DCM,"Country of Language")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1201 LanguageOfValue/[Row 1] CODE (121047,DCM,&quot;&quot;)/[Row 2] CODE (121046,DCM,&quot;Country of Language&quot;)'"/>
<xsl:with-param name="row" select="'2'"/>
<xsl:with-param name="relationship" select="'HAS CONCEPT MOD'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Country of Language'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121046'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="'5001'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = '121046' and concept/@csd = 'DCM']"/>
		</xsl:for-each>
	</xsl:template>
<xsl:template name="TID_1204">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_1204 (LanguageOfContentItemAndDescendants)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1204 LanguageOfContentItemAndDescendants/[Row 1] CODE (121049,DCM,"Language of Content Item and Descendants")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1204 LanguageOfContentItemAndDescendants/[Row 1] CODE (121049,DCM,&quot;Language of Content Item and Descendants&quot;)'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="'HAS CONCEPT MOD'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Language of Content Item and Descendants'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121049'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="'5000'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = '121049' and concept/@csd = 'DCM']">
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1204 LanguageOfContentItemAndDescendants/[Row 1] CODE (121049,DCM,"")/[Row 2] CODE (121046,DCM,"Country of Language")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1204 LanguageOfContentItemAndDescendants/[Row 1] CODE (121049,DCM,&quot;&quot;)/[Row 2] CODE (121046,DCM,&quot;Country of Language&quot;)'"/>
<xsl:with-param name="row" select="'2'"/>
<xsl:with-param name="relationship" select="'HAS CONCEPT MOD'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Country of Language'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121046'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="'5001'"/>
<xsl:with-param name="valueSetBDE" select="'D'"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = '121046' and concept/@csd = 'DCM']"/>
		</xsl:for-each>	
	</xsl:template>
<xsl:template name="TID_1210">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_1210 (EquivalentMeaningOfConceptName)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1210 EquivalentMeaningOfConceptName/[Row 1] TEXT (121050,DCM,"Equivalent Meaning of Concept Name")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(code[@cvConceptName='121050' and @csdConceptName='DCM']) = 0">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1210 EquivalentMeaningOfConceptName/[Row 1] TEXT (121050,DCM,&quot;Equivalent Meaning of Concept Name&quot;)'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="'HAS  CONCEPT MOD'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Equivalent Meaning of Concept Name'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121050'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1210 EquivalentMeaningOfConceptName/[Row 1] TEXT (121050,DCM,&quot;Equivalent Meaning of Concept Name&quot;)'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="'HAS  CONCEPT MOD'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Equivalent Meaning of Concept Name'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121050'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = '121050' and concept/@csd = 'DCM']"> 
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_1201</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_1201">
<xsl:with-param name="templatevmmin" select="'1'"/>
<xsl:with-param name="templatevmmax" select="'1'"/>
<xsl:with-param name="templateRequiredType" select="'U'"/>
</xsl:call-template>
		</xsl:for-each>	
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1210 EquivalentMeaningOfConceptName/[Row 3] CODE (121050,DCM,"Equivalent Meaning of Concept Name")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(text[@cvConceptName='121050' and @csdConceptName='DCM']) = 0">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1210 EquivalentMeaningOfConceptName/[Row 3] CODE (121050,DCM,&quot;Equivalent Meaning of Concept Name&quot;)'"/>
<xsl:with-param name="row" select="'3'"/>
<xsl:with-param name="relationship" select="'HAS  CONCEPT MOD'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Equivalent Meaning of Concept Name'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121050'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1210 EquivalentMeaningOfConceptName/[Row 3] CODE (121050,DCM,&quot;Equivalent Meaning of Concept Name&quot;)'"/>
<xsl:with-param name="row" select="'3'"/>
<xsl:with-param name="relationship" select="'HAS  CONCEPT MOD'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Equivalent Meaning of Concept Name'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121050'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = '121050' and concept/@csd = 'DCM']">	 
			<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_1201</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_1201">
<xsl:with-param name="templatevmmin" select="'1'"/>
<xsl:with-param name="templatevmmax" select="'1'"/>
<xsl:with-param name="templateRequiredType" select="'U'"/>
</xsl:call-template>
		</xsl:for-each>	
	</xsl:template>
<xsl:template name="TID_1400IF">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_1400IF (LinearMeasurementTemplate)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1400IF LinearMeasurementTemplate/[Row 1] NUM CID 7470</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1400IF LinearMeasurementTemplate/[Row 1] NUM CID 7470'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="'INFERRED FROM'"/>
<xsl:with-param name="valueType" select="'num'"/>
<xsl:with-param name="conceptNameCID" select="'7470'"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[(name() = 'num' and concept/@cv = 'G-A22A' and concept/@csd = 'SRT') or (name() = 'num' and concept/@cv = '121211' and concept/@csd = 'DCM') or (name() = 'num' and concept/@cv = '121206' and concept/@csd = 'DCM') or (name() = 'num' and concept/@cv = 'G-A220' and concept/@csd = 'SRT') or (name() = 'num' and concept/@cv = 'G-D785' and concept/@csd = 'SRT') or (name() = 'num' and concept/@cv = 'M-02550' and concept/@csd = 'SRT') or (name() = 'num' and concept/@cv = 'G-A185' and concept/@csd = 'SRT') or (name() = 'num' and concept/@cv = 'G-A186' and concept/@csd = 'SRT') or (name() = 'num' and concept/@cv = 'G-A193' and concept/@csd = 'SRT') or (name() = 'num' and concept/@cv = 'G-A194' and concept/@csd = 'SRT') or (name() = 'num' and concept/@cv = 'G-A195' and concept/@csd = 'SRT') or (name() = 'num' and concept/@cv = 'G-A196' and concept/@csd = 'SRT') or (name() = 'num' and concept/@cv = 'G-A197' and concept/@csd = 'SRT') or (name() = 'num' and concept/@cv = 'M-02560' and concept/@csd = 'SRT') or (name() = 'num' and concept/@cv = 'G-A198' and concept/@csd = 'SRT') or (name() = 'num' and concept/@cv = '121207' and concept/@csd = 'DCM')]">
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1400IF LinearMeasurementTemplate/[Row 1] NUM CID 7470/[Row 2] SCOORD (121055,DCM,"Path")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1400IF LinearMeasurementTemplate/[Row 1] NUM CID 7470/[Row 2] SCOORD (121055,DCM,&quot;Path&quot;)'"/>
<xsl:with-param name="row" select="'2'"/>
<xsl:with-param name="relationship" select="'INFERRED FROM'"/>
<xsl:with-param name="valueType" select="'scoord'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Path'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121055'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'UC'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="'POLYLINE_CIRCLE_ELLIPSE'"/>
<xsl:with-param name="numpointsmin" select="'2'"/>
<xsl:with-param name="numpointsmax" select="'n'"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'scoord' and concept/@cv = '121055' and concept/@csd = 'DCM']">
				<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1400IF LinearMeasurementTemplate/[Row 1] NUM CID 7470/[Row 2] SCOORD (121055,DCM,"")/[Row 3] IMAGE *</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(reference) &gt; 0">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1400IF LinearMeasurementTemplate/[Row 1] NUM CID 7470/[Row 2] SCOORD (121055,DCM,&quot;&quot;)/[Row 3] IMAGE *'"/>
<xsl:with-param name="row" select="'3'"/>
<xsl:with-param name="relationship" select="'R-SELECTED FROM'"/>
<xsl:with-param name="valueType" select="'image'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'3'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1400IF LinearMeasurementTemplate/[Row 1] NUM CID 7470/[Row 2] SCOORD (121055,DCM,&quot;&quot;)/[Row 3] IMAGE *'"/>
<xsl:with-param name="row" select="'3'"/>
<xsl:with-param name="relationship" select="'R-SELECTED FROM'"/>
<xsl:with-param name="valueType" select="'image'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'3'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[name() = 'image']"/> 
				<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1400IF LinearMeasurementTemplate/[Row 1] NUM CID 7470/[Row 2] SCOORD (121055,DCM,"")/[Row 4] IMAGE *</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(image) &gt; 0">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1400IF LinearMeasurementTemplate/[Row 1] NUM CID 7470/[Row 2] SCOORD (121055,DCM,&quot;&quot;)/[Row 4] IMAGE *'"/>
<xsl:with-param name="row" select="'4'"/>
<xsl:with-param name="relationship" select="'SELECTED FROM'"/>
<xsl:with-param name="valueType" select="'image'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'3'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1400IF LinearMeasurementTemplate/[Row 1] NUM CID 7470/[Row 2] SCOORD (121055,DCM,&quot;&quot;)/[Row 4] IMAGE *'"/>
<xsl:with-param name="row" select="'4'"/>
<xsl:with-param name="relationship" select="'SELECTED FROM'"/>
<xsl:with-param name="valueType" select="'image'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'3'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[name() = 'image']"/>     
			</xsl:for-each>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1400IF LinearMeasurementTemplate/[Row 1] NUM CID 7470/[Row 5] SCOORD (121230,DCM,"Path Vertex")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1400IF LinearMeasurementTemplate/[Row 1] NUM CID 7470/[Row 5] SCOORD (121230,DCM,&quot;Path Vertex&quot;)'"/>
<xsl:with-param name="row" select="'5'"/>
<xsl:with-param name="relationship" select="'INFERRED FROM'"/>
<xsl:with-param name="valueType" select="'scoord'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Path Vertex'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121230'"/>
<xsl:with-param name="vmmin" select="'2'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'UC'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="'POINT'"/>
<xsl:with-param name="numpointsmin" select="'1'"/>
<xsl:with-param name="numpointsmax" select="'1'"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'scoord' and concept/@cv = '121230' and concept/@csd = 'DCM']">
				<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1400IF LinearMeasurementTemplate/[Row 1] NUM CID 7470/[Row 5] SCOORD (121230,DCM,"")/[Row 6] IMAGE *</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(reference) &gt; 0">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1400IF LinearMeasurementTemplate/[Row 1] NUM CID 7470/[Row 5] SCOORD (121230,DCM,&quot;&quot;)/[Row 6] IMAGE *'"/>
<xsl:with-param name="row" select="'6'"/>
<xsl:with-param name="relationship" select="'R-SELECTED FROM'"/>
<xsl:with-param name="valueType" select="'image'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="''"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'3'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1400IF LinearMeasurementTemplate/[Row 1] NUM CID 7470/[Row 5] SCOORD (121230,DCM,&quot;&quot;)/[Row 6] IMAGE *'"/>
<xsl:with-param name="row" select="'6'"/>
<xsl:with-param name="relationship" select="'R-SELECTED FROM'"/>
<xsl:with-param name="valueType" select="'image'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="''"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'3'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[name() = 'image']"/> 
				<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 1400IF LinearMeasurementTemplate/[Row 1] NUM CID 7470/[Row 5] SCOORD (121230,DCM,"")/[Row 7] IMAGE *</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(image) &gt; 0">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1400IF LinearMeasurementTemplate/[Row 1] NUM CID 7470/[Row 5] SCOORD (121230,DCM,&quot;&quot;)/[Row 7] IMAGE *'"/>
<xsl:with-param name="row" select="'7'"/>
<xsl:with-param name="relationship" select="'SELECTED FROM'"/>
<xsl:with-param name="valueType" select="'image'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="''"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'3'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 1400IF LinearMeasurementTemplate/[Row 1] NUM CID 7470/[Row 5] SCOORD (121230,DCM,&quot;&quot;)/[Row 7] IMAGE *'"/>
<xsl:with-param name="row" select="'7'"/>
<xsl:with-param name="relationship" select="'SELECTED FROM'"/>
<xsl:with-param name="valueType" select="'image'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="''"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'3'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[name() = 'image']"/>     
			</xsl:for-each>
</xsl:for-each>	
	</xsl:template>
<xsl:template name="TID_1400CN">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_1400CN (LinearMeasurementTemplate)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
	</xsl:template>
<xsl:template name="TID_1401IF">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_1401IF (AreaMeasurementTemplate)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
	</xsl:template>
<xsl:template name="TID_1401CN">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_1401CN (AreaMeasurementTemplate)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
	</xsl:template>
<xsl:template name="TID_1402IF">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_1402IF (VolumeMeasurementTemplate)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
	</xsl:template>
<xsl:template name="TID_1402CN">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_1402CN (VolumeMeasurementTemplate)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
	</xsl:template>
<xsl:template name="TID_1404IF">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_1404IF (NumericMeasurementTemplate)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
	</xsl:template>
<xsl:template name="TID_1404CN">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_1404CN (NumericMeasurementTemplate)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
	</xsl:template>
<xsl:template name="TID_2000">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_2000 (BasicDiagnosticImagingReport)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:text>Found Root Template TID_2000 (BasicDiagnosticImagingReport)</xsl:text>
<xsl:value-of select="$newline"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 2000 BasicDiagnosticImagingReport/[Row 1] CONTAINER CID 7000</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 2000 BasicDiagnosticImagingReport/[Row 1] CONTAINER CID 7000'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="''"/>
<xsl:with-param name="valueType" select="'container'"/>
<xsl:with-param name="conceptNameCID" select="'7000'"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[(name() = 'container' and concept/@cv = '18745-0' and concept/@csd = 'LN') or (name() = 'container' and concept/@cv = '11540-2' and concept/@csd = 'LN') or (name() = 'container' and concept/@cv = '11538-6' and concept/@csd = 'LN') or (name() = 'container' and concept/@cv = '11539-4' and concept/@csd = 'LN') or (name() = 'container' and concept/@cv = '18747-6' and concept/@csd = 'LN') or (name() = 'container' and concept/@cv = '18748-4' and concept/@csd = 'LN') or (name() = 'container' and concept/@cv = '11522-0' and concept/@csd = 'LN') or (name() = 'container' and concept/@cv = '18760-9' and concept/@csd = 'LN') or (name() = 'container' and concept/@cv = '11541-0' and concept/@csd = 'LN') or (name() = 'container' and concept/@cv = '18755-9' and concept/@csd = 'LN') or (name() = 'container' and concept/@cv = '18756-7' and concept/@csd = 'LN') or (name() = 'container' and concept/@cv = '18757-5' and concept/@csd = 'LN') or (name() = 'container' and concept/@cv = '11525-3' and concept/@csd = 'LN') or (name() = 'container' and concept/@cv = '18758-3' and concept/@csd = 'LN') or (name() = 'container' and concept/@cv = '11528-7' and concept/@csd = 'LN') or (name() = 'container' and concept/@cv = '18750-0' and concept/@csd = 'LN') or (name() = 'container' and concept/@cv = '11524-0' and concept/@csd = 'LN') or (name() = 'container' and concept/@cv = '18752-6' and concept/@csd = 'LN') or (name() = 'container' and concept/@cv = '18754-2' and concept/@csd = 'LN') or (name() = 'container' and concept/@cv = '18782-3' and concept/@csd = 'LN')]">
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 2000 BasicDiagnosticImagingReport/[Row 1] CONTAINER CID 7000/[Row 2] CODE (121058,DCM,"Procedure reported")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 2000 BasicDiagnosticImagingReport/[Row 1] CONTAINER CID 7000/[Row 2] CODE (121058,DCM,&quot;Procedure reported&quot;)'"/>
<xsl:with-param name="row" select="'2'"/>
<xsl:with-param name="relationship" select="'HAS CONCEPT MOD'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Procedure reported'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'121058'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = '121058' and concept/@csd = 'DCM']"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_1204</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_1204">
<xsl:with-param name="templatevmmin" select="'1'"/>
<xsl:with-param name="templatevmmax" select="'1'"/>
<xsl:with-param name="templateRequiredType" select="'M'"/>
</xsl:call-template>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_1210</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_1210">
<xsl:with-param name="templatevmmin" select="'1'"/>
<xsl:with-param name="templatevmmax" select="'n'"/>
<xsl:with-param name="templateRequiredType" select="'U'"/>
</xsl:call-template>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_1001</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_1001">
<xsl:with-param name="templatevmmin" select="'1'"/>
<xsl:with-param name="templatevmmax" select="'1'"/>
<xsl:with-param name="templateRequiredType" select="'M'"/>
</xsl:call-template>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 2000 BasicDiagnosticImagingReport/[Row 1] CONTAINER CID 7000/[Row 6] CONTAINER CID 7001</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 2000 BasicDiagnosticImagingReport/[Row 1] CONTAINER CID 7000/[Row 6] CONTAINER CID 7001'"/>
<xsl:with-param name="row" select="'6'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'container'"/>
<xsl:with-param name="conceptNameCID" select="'7001'"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[(name() = 'container' and concept/@cv = '121060' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '121062' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '121064' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '121066' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '121068' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '121070' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '121072' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '121074' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '121076' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '121078' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '121109' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '121110' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '121113' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '121111' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '121180' and concept/@csd = 'DCM')]">
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_1001</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_1001">
<xsl:with-param name="templatevmmin" select="'1'"/>
<xsl:with-param name="templatevmmax" select="'1'"/>
<xsl:with-param name="templateRequiredType" select="'U'"/>
</xsl:call-template>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 2000 BasicDiagnosticImagingReport/[Row 1] CONTAINER CID 7000/[Row 6] CONTAINER CID 7001/[Row 8] CODE CID 7002</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 2000 BasicDiagnosticImagingReport/[Row 1] CONTAINER CID 7000/[Row 6] CONTAINER CID 7001/[Row 8] CODE CID 7002'"/>
<xsl:with-param name="row" select="'8'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="'7002'"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'3'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[(name() = 'code' and concept/@cv = '121060' and concept/@csd = 'DCM') or (name() = 'code' and concept/@cv = '121062' and concept/@csd = 'DCM') or (name() = 'code' and concept/@cv = '121065' and concept/@csd = 'DCM') or (name() = 'code' and concept/@cv = '121069' and concept/@csd = 'DCM') or (name() = 'code' and concept/@cv = '121071' and concept/@csd = 'DCM') or (name() = 'code' and concept/@cv = '121073' and concept/@csd = 'DCM') or (name() = 'code' and concept/@cv = '121075' and concept/@csd = 'DCM') or (name() = 'code' and concept/@cv = '121077' and concept/@csd = 'DCM') or (name() = 'code' and concept/@cv = 'DD-60002' and concept/@csd = 'SRT') or (name() = 'code' and concept/@cv = '121110' and concept/@csd = 'DCM') or (name() = 'code' and concept/@cv = '121111' and concept/@csd = 'DCM')]">
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_2001IF</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_2001IF">
<xsl:with-param name="templatevmmin" select="'1'"/>
<xsl:with-param name="templatevmmax" select="'n'"/>
<xsl:with-param name="templateRequiredType" select="'U'"/>
</xsl:call-template>
</xsl:for-each>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 2000 BasicDiagnosticImagingReport/[Row 1] CONTAINER CID 7000/[Row 6] CONTAINER CID 7001/[Row 10] TEXT CID 7002</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 2000 BasicDiagnosticImagingReport/[Row 1] CONTAINER CID 7000/[Row 6] CONTAINER CID 7001/[Row 10] TEXT CID 7002'"/>
<xsl:with-param name="row" select="'10'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="'7002'"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'3'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[(name() = 'text' and concept/@cv = '121060' and concept/@csd = 'DCM') or (name() = 'text' and concept/@cv = '121062' and concept/@csd = 'DCM') or (name() = 'text' and concept/@cv = '121065' and concept/@csd = 'DCM') or (name() = 'text' and concept/@cv = '121069' and concept/@csd = 'DCM') or (name() = 'text' and concept/@cv = '121071' and concept/@csd = 'DCM') or (name() = 'text' and concept/@cv = '121073' and concept/@csd = 'DCM') or (name() = 'text' and concept/@cv = '121075' and concept/@csd = 'DCM') or (name() = 'text' and concept/@cv = '121077' and concept/@csd = 'DCM') or (name() = 'text' and concept/@cv = 'DD-60002' and concept/@csd = 'SRT') or (name() = 'text' and concept/@cv = '121110' and concept/@csd = 'DCM') or (name() = 'text' and concept/@cv = '121111' and concept/@csd = 'DCM')]">
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_2001IF</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_2001IF">
<xsl:with-param name="templatevmmin" select="'1'"/>
<xsl:with-param name="templatevmmax" select="'n'"/>
<xsl:with-param name="templateRequiredType" select="'U'"/>
</xsl:call-template>
</xsl:for-each>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_2001CN</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_2001CN">
<xsl:with-param name="templatevmmin" select="'1'"/>
<xsl:with-param name="templatevmmax" select="'n'"/>
<xsl:with-param name="templateRequiredType" select="'U'"/>
</xsl:call-template>
</xsl:for-each>
</xsl:for-each>	
	<xsl:text>Root Template Validation Complete</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:template>
<xsl:template name="TID_2001IF">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_2001IF (BasicDiagnosticImagingReportObservations)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>	
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 2001IF BasicDiagnosticImagingReportObservations/[Row 1] IMAGE CID 7003</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(num) = 0">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 2001IF BasicDiagnosticImagingReportObservations/[Row 1] IMAGE CID 7003'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="'INFERRED FROM'"/>
<xsl:with-param name="valueType" select="'image'"/>
<xsl:with-param name="conceptNameCID" select="'7003'"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 2001IF BasicDiagnosticImagingReportObservations/[Row 1] IMAGE CID 7003'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="'INFERRED FROM'"/>
<xsl:with-param name="valueType" select="'image'"/>
<xsl:with-param name="conceptNameCID" select="'7003'"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[(name() = 'image' and concept/@cv = '121079' and concept/@csd = 'DCM') or (name() = 'image' and concept/@cv = '121080' and concept/@csd = 'DCM') or (name() = 'image' and concept/@cv = '121112' and concept/@csd = 'DCM')]"/> 
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_1400IF</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_1400IF">
<xsl:with-param name="templatevmmin" select="'1'"/>
<xsl:with-param name="templatevmmax" select="'1'"/>
<xsl:with-param name="templateRequiredType" select="'U'"/>
</xsl:call-template> 
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_1401IF</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_1401IF">
<xsl:with-param name="templatevmmin" select="'1'"/>
<xsl:with-param name="templatevmmax" select="'1'"/>
<xsl:with-param name="templateRequiredType" select="'U'"/>
</xsl:call-template> 
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_1402IF</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_1402IF">
<xsl:with-param name="templatevmmin" select="'1'"/>
<xsl:with-param name="templatevmmax" select="'1'"/>
<xsl:with-param name="templateRequiredType" select="'U'"/>
</xsl:call-template> 
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_1404IF</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_1404IF">
<xsl:with-param name="templatevmmin" select="'1'"/>
<xsl:with-param name="templatevmmax" select="'1'"/>
<xsl:with-param name="templateRequiredType" select="'U'"/>
</xsl:call-template> 
	</xsl:template>
<xsl:template name="TID_2001CN">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_2001CN (BasicDiagnosticImagingReportObservations)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>	
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 2001CN BasicDiagnosticImagingReportObservations/[Row 1] IMAGE CID 7003</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(num) = 0">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 2001CN BasicDiagnosticImagingReportObservations/[Row 1] IMAGE CID 7003'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'image'"/>
<xsl:with-param name="conceptNameCID" select="'7003'"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 2001CN BasicDiagnosticImagingReportObservations/[Row 1] IMAGE CID 7003'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'image'"/>
<xsl:with-param name="conceptNameCID" select="'7003'"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[(name() = 'image' and concept/@cv = '121079' and concept/@csd = 'DCM') or (name() = 'image' and concept/@cv = '121080' and concept/@csd = 'DCM') or (name() = 'image' and concept/@cv = '121112' and concept/@csd = 'DCM')]"/> 
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_1400CN</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_1400CN">
<xsl:with-param name="templatevmmin" select="'1'"/>
<xsl:with-param name="templatevmmax" select="'1'"/>
<xsl:with-param name="templateRequiredType" select="'U'"/>
</xsl:call-template> 
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_1401CN</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_1401CN">
<xsl:with-param name="templatevmmin" select="'1'"/>
<xsl:with-param name="templatevmmax" select="'1'"/>
<xsl:with-param name="templateRequiredType" select="'U'"/>
</xsl:call-template> 
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_1402CN</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_1402CN">
<xsl:with-param name="templatevmmin" select="'1'"/>
<xsl:with-param name="templatevmmax" select="'1'"/>
<xsl:with-param name="templateRequiredType" select="'U'"/>
</xsl:call-template> 
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_1404CN</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_1404CN">
<xsl:with-param name="templatevmmin" select="'1'"/>
<xsl:with-param name="templatevmmax" select="'1'"/>
<xsl:with-param name="templateRequiredType" select="'U'"/>
</xsl:call-template> 
	</xsl:template>
<xsl:template name="TID_2010">
<xsl:param name="templatevmmin"/>
<xsl:param name="templatevmmax"/>
<xsl:param name="templateRequiredType"/>
<xsl:param name="templateConditionSatisfied"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking Template: TID_2010 (KeyObjectSelection)</xsl:text>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmin = </xsl:text>
<xsl:value-of select="$templatevmmin"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templatevmmax = </xsl:text>
<xsl:value-of select="$templatevmmax"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateRequiredType = </xsl:text>
<xsl:value-of select="$templateRequiredType"/>
<xsl:value-of select="$newline"/>
<xsl:text>Checking Template: templateConditionSatisfied = </xsl:text>
<xsl:value-of select="$templateConditionSatisfied"/>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:text>Found Root Template TID_2010 (KeyObjectSelection)</xsl:text>
<xsl:value-of select="$newline"/>
		<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 2010 KeyObjectSelection/[Row 1] CONTAINER CID 7010_WithTCE</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 2010 KeyObjectSelection/[Row 1] CONTAINER CID 7010_WithTCE'"/>
<xsl:with-param name="row" select="'1'"/>
<xsl:with-param name="relationship" select="''"/>
<xsl:with-param name="valueType" select="'container'"/>
<xsl:with-param name="conceptNameCID" select="'7010_WithTCE'"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'M'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'1'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[(name() = 'container' and concept/@cv = '113000' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '113001' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '113002' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '113003' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '113004' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '113005' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '113006' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '113007' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '113008' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '113009' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '113010' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '113013' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '113018' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '113020' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '113030' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '113031' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '113032' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '113033' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '113034' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '113035' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '113036' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = '113037' and concept/@csd = 'DCM') or (name() = 'container' and concept/@cv = 'TCE001' and concept/@csd = 'IHERADTF')]">
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 2010 KeyObjectSelection/[Row 1] CONTAINER CID 7010_WithTCE/[Row 2] CODE (113011,DCM,"Document Title Modifier")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 2010 KeyObjectSelection/[Row 1] CONTAINER CID 7010_WithTCE/[Row 2] CODE (113011,DCM,&quot;Document Title Modifier&quot;)'"/>
<xsl:with-param name="row" select="'2'"/>
<xsl:with-param name="relationship" select="'HAS CONCEPT MOD'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Document Title Modifier'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'113011'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = '113011' and concept/@csd = 'DCM']"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 2010 KeyObjectSelection/[Row 1] CONTAINER CID 7010_WithTCE/[Row 3] CODE CID 7011</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(../code[@cvConceptName='113001' and @csdConceptName='DCM']) &gt; 0 or count(../code[@cvConceptName='113010' and @csdConceptName='DCM']) &gt; 0">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 2010 KeyObjectSelection/[Row 1] CONTAINER CID 7010_WithTCE/[Row 3] CODE CID 7011'"/>
<xsl:with-param name="row" select="'3'"/>
<xsl:with-param name="relationship" select="'HAS CONCEPT MOD'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="'7011'"/>
<xsl:with-param name="cmConceptName" select="'Document Title Modifier'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'113011'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 2010 KeyObjectSelection/[Row 1] CONTAINER CID 7010_WithTCE/[Row 3] CODE CID 7011'"/>
<xsl:with-param name="row" select="'3'"/>
<xsl:with-param name="relationship" select="'HAS CONCEPT MOD'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="'7011'"/>
<xsl:with-param name="cmConceptName" select="'Document Title Modifier'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'113011'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = '113011' and concept/@csd = 'DCM']"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 2010 KeyObjectSelection/[Row 1] CONTAINER CID 7010_WithTCE/[Row 4] CODE CID 7012</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(../code[@cvConceptName='113013' and @csdConceptName='DCM']) &gt; 0">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 2010 KeyObjectSelection/[Row 1] CONTAINER CID 7010_WithTCE/[Row 4] CODE CID 7012'"/>
<xsl:with-param name="row" select="'4'"/>
<xsl:with-param name="relationship" select="'HAS CONCEPT MOD'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="'7012'"/>
<xsl:with-param name="cmConceptName" select="'Document Title Modifier'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'113011'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 2010 KeyObjectSelection/[Row 1] CONTAINER CID 7010_WithTCE/[Row 4] CODE CID 7012'"/>
<xsl:with-param name="row" select="'4'"/>
<xsl:with-param name="relationship" select="'HAS CONCEPT MOD'"/>
<xsl:with-param name="valueType" select="'code'"/>
<xsl:with-param name="conceptNameCID" select="'7012'"/>
<xsl:with-param name="cmConceptName" select="'Document Title Modifier'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'113011'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="'F'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[name() = 'code' and concept/@cv = '113011' and concept/@csd = 'DCM']"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_1204</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_1204">
<xsl:with-param name="templatevmmin" select="'1'"/>
<xsl:with-param name="templatevmmax" select="'1'"/>
<xsl:with-param name="templateRequiredType" select="'M'"/>
</xsl:call-template>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Including Template: TID_1002</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="TID_1002">
<xsl:with-param name="templatevmmin" select="'1'"/>
<xsl:with-param name="templatevmmax" select="'n'"/>
<xsl:with-param name="templateRequiredType" select="'U'"/>
</xsl:call-template>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 2010 KeyObjectSelection/[Row 1] CONTAINER CID 7010_WithTCE/[Row 7] TEXT (113012,DCM,"Key Object Description")</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 2010 KeyObjectSelection/[Row 1] CONTAINER CID 7010_WithTCE/[Row 7] TEXT (113012,DCM,&quot;Key Object Description&quot;)'"/>
<xsl:with-param name="row" select="'7'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'text'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="'Key Object Description'"/>
<xsl:with-param name="csdConceptName" select="'DCM'"/>
<xsl:with-param name="cvConceptName" select="'113012'"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'1'"/>
<xsl:with-param name="requiredType" select="'U'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
<xsl:for-each select="child::node()[name() = 'text' and concept/@cv = '113012' and concept/@csd = 'DCM']"/>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 2010 KeyObjectSelection/[Row 1] CONTAINER CID 7010_WithTCE/[Row 8] IMAGE *</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(waveform) = 0 and count(composite) = 0">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 2010 KeyObjectSelection/[Row 1] CONTAINER CID 7010_WithTCE/[Row 8] IMAGE *'"/>
<xsl:with-param name="row" select="'8'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'image'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="'T'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 2010 KeyObjectSelection/[Row 1] CONTAINER CID 7010_WithTCE/[Row 8] IMAGE *'"/>
<xsl:with-param name="row" select="'8'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'image'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="'T'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[name() = 'image']"/>
<xsl:if test="count(image/concept) &gt; 0">
<xsl:text>Error: Template 2010 KeyObjectSelection/[Row 1] CONTAINER CID 7010_WithTCE: </xsl:text>
<xsl:call-template name="buildFullPathInInstanceToCurrentNode"/>
<xsl:text>: Row 8 Purpose of Reference (Concept) is forbidden for IMAGE content item</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 2010 KeyObjectSelection/[Row 1] CONTAINER CID 7010_WithTCE/[Row 9] WAVEFORM *</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(image) = 0 and count(composite) = 0">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 2010 KeyObjectSelection/[Row 1] CONTAINER CID 7010_WithTCE/[Row 9] WAVEFORM *'"/>
<xsl:with-param name="row" select="'9'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'waveform'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="'T'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 2010 KeyObjectSelection/[Row 1] CONTAINER CID 7010_WithTCE/[Row 9] WAVEFORM *'"/>
<xsl:with-param name="row" select="'9'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'waveform'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="'T'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[name() = 'waveform']"/>
<xsl:if test="count(waveform/concept) &gt; 0">
<xsl:text>Error: Template 2010 KeyObjectSelection/[Row 1] CONTAINER CID 7010_WithTCE: </xsl:text>
<xsl:call-template name="buildFullPathInInstanceToCurrentNode"/>
<xsl:text>: Row 9 Purpose of Reference (Concept) is forbidden for WAVEFORM content item</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:if test="$optionDescribeChecking='T'">
<xsl:text>Checking for content item: Template 2010 KeyObjectSelection/[Row 1] CONTAINER CID 7010_WithTCE/[Row 10] COMPOSITE *</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
<xsl:choose>
<xsl:when test="count(image) = 0 and count(waveform) = 0">
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 2010 KeyObjectSelection/[Row 1] CONTAINER CID 7010_WithTCE/[Row 10] COMPOSITE *'"/>
<xsl:with-param name="row" select="'10'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'composite'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'T'"/>
<xsl:with-param name="mbpo" select="'T'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="CheckContentItem">
<xsl:with-param name="description" select="'Template 2010 KeyObjectSelection/[Row 1] CONTAINER CID 7010_WithTCE/[Row 10] COMPOSITE *'"/>
<xsl:with-param name="row" select="'10'"/>
<xsl:with-param name="relationship" select="'CONTAINS'"/>
<xsl:with-param name="valueType" select="'composite'"/>
<xsl:with-param name="conceptNameCID" select="''"/>
<xsl:with-param name="cmConceptName" select="''"/>
<xsl:with-param name="csdConceptName" select="''"/>
<xsl:with-param name="cvConceptName" select="''"/>
<xsl:with-param name="vmmin" select="'1'"/>
<xsl:with-param name="vmmax" select="'n'"/>
<xsl:with-param name="requiredType" select="'MC'"/>
<xsl:with-param name="conditionSatisfied" select="'F'"/>
<xsl:with-param name="mbpo" select="'T'"/>
<xsl:with-param name="valueSetCID" select="''"/>
<xsl:with-param name="valueSetBDE" select="''"/>
<xsl:with-param name="cmValue" select="''"/>
<xsl:with-param name="csdValue" select="''"/>
<xsl:with-param name="cvValue" select="''"/>
<xsl:with-param name="cmUnits" select="''"/>
<xsl:with-param name="csdUnits" select="''"/>
<xsl:with-param name="cvUnits" select="''"/>
<xsl:with-param name="graphicType" select="''"/>
<xsl:with-param name="numpointsmin" select="''"/>
<xsl:with-param name="numpointsmax" select="''"/>
<xsl:with-param name="templatevmmin" select="$templatevmmin"/>
<xsl:with-param name="templatevmmax" select="$templatevmmax"/>
<xsl:with-param name="templateRequiredType" select="$templateRequiredType"/>
<xsl:with-param name="templateConditionSatisfied" select="$templateConditionSatisfied"/>
<xsl:with-param name="nestingLevel" select="'2'"/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="child::node()[name() = 'composite']"/>
<xsl:if test="count(composite/concept) &gt; 0">
<xsl:text>Error: Template 2010 KeyObjectSelection/[Row 1] CONTAINER CID 7010_WithTCE: </xsl:text>
<xsl:call-template name="buildFullPathInInstanceToCurrentNode"/>
<xsl:text>: Row 10 Purpose of Reference (Concept) is forbidden for COMPOSITE content item</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:if>
</xsl:for-each>	
	<xsl:text>Root Template Validation Complete</xsl:text>
<xsl:value-of select="$newline"/>
</xsl:template>
</xsl:stylesheet>
